Schema "fpml-shared-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10111 $

Defined Components:

  5 global elements, 363 local elements, 248 complexTypes, 8 simpleTypes, 21 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-shared-5-5.xsd; see XML source

Includes Schema:

  fpml-enum-5-5.xsd [src]

Included in Schemas (4):

  fpml-asset-5-5.xsd [src], fpml-dividend-swaps-5-5.xsd [src], fpml-generic-5-5.xsd [src], fpml-standard-5-5.xsd [src]

All Element Summary
account | Optional account information used to precisely define the origination and destination of financial instruments.
Type: | Account
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin PartiesAndAccounts.model group; see XML source
accountBeneficiary | A reference to the party beneficiary of the account.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Account complexType; see XML source
accountId | An account identifier.
Type: | AccountId
Content: | simple, 1 attribute
Defined: | locally witnin Account complexType; see XML source
accountName | The name by which the account is known.
Type: | AccountName
Content: | simple, 1 attribute
Defined: | locally witnin Account complexType; see XML source
accountReference (defined in OnBehalfOf complexType) | Identifies the account(s) related to the party when they can be determined from the party alone, for example in a inter-book trade.
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin OnBehalfOf complexType; see XML source
accountType | The type of account. e.g., Client, House
Type: | AccountType
Content: | simple, 1 attribute
Defined: | locally witnin Account complexType; see XML source
address | A postal or street address.
Type: | Address
Content: | complex, 5 elements
Defined: | locally witnin ContactInformation complexType; see XML source
adjustableDate (defined in AdjustableOrRelativeDate complexType) | A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Type: | AdjustableDate
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin AdjustableOrRelativeDate complexType; see XML source
adjustableDates (defined in AdjustableDatesOrRelativeDateOffset complexType) | A series of adjustable dates
Type: | AdjustableDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin AdjustableDatesOrRelativeDateOffset complexType; see XML source
adjustableDates (defined in AdjustableOrRelativeDates complexType) | A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Type: | AdjustableDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin AdjustableOrRelativeDates complexType; see XML source
adjustableDates (defined in AdjustableRelativeOrPeriodicDates complexType) | A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Type: | AdjustableDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin AdjustableRelativeOrPeriodicDates complexType; see XML source
adjustedDate | The date once the adjustment has been performed.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin AdjustableOrAdjustedDate complexType; see XML source
adjustedFixingDate | The adjusted fixing date, i.e. the actual date the rate is observed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
agreement | An agrement that references the related party.
Type: | GenericAgreement
Content: | complex, 5 elements
Defined: | locally witnin PartyRelationshipDocumentation complexType; see XML source
allocationAccountReference | Reference to an account.
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin CollateralPartyAndAccountReferences.model group; see XML source
allocationPartyReference | Reference to a party.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CollateralPartyAndAccountReferences.model group; see XML source
amendmentDate | A date on which the agreement was amended.
Type: | xsd:date
Content: | simple
Defined: | locally witnin GenericAgreement complexType; see XML source
americanExercise | The parameters for defining the exercise period for an American style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Type: | AmericanExercise
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element exercise
Defined: | globally; see XML source
Used: | never
amount (defined in CashflowNotional complexType) | The quantity of notional (in currency or other units).
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowNotional complexType; see XML source
amount (defined in Money complexType) | The monetary quantity in currency units.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Money complexType; see XML source
amount (defined in NonNegativeMoney complexType) | The non negative monetary quantity in currency units.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin NonNegativeMoney complexType; see XML source
amount (defined in PositiveMoney complexType) | The positive monetary quantity in currency units.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin PositiveMoney complexType; see XML source
attachment | A human readable document related to this transaction, for example a confirmation.
Type: | Resource
Content: | complex, 12 elements
Defined: | locally witnin Documentation complexType; see XML source
attachmentReference | Provides a place to put a reference to an attachment on an HTTP message, such as is used by SOAP with Attachments and ebXML.
Type: | HTTPAttachmentReference
Content: | empty, 1 attribute
Defined: | locally witnin ExternalDocument complexType; see XML source
automaticExercise (defined in ExerciseProcedure complexType) | If automatic is specified then the notional amount of the underlying swap, not previously exercised under the swaption will be automatically exercised at the expriration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than the specified threshold rate.
Type: | AutomaticExercise
Content: | empty
Defined: | locally witnin ExerciseProcedure complexType; see XML source
automaticExercise (in exerciseProcedure) | If automatic is specified then the notional amount of the underlying swap, not previously exercised under the swaption will be automatically exercised at the expriration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than the specified threshold rate.
Type: | Empty
Content: | empty
Defined: | locally witnin ExerciseProcedureOption complexType; see XML source
base64Binary (defined in ExternalDocument complexType) | Provides extra information as binary contents coded in base64.
Type: | xsd:base64Binary
Content: | simple
Defined: | locally witnin ExternalDocument complexType; see XML source
base64Binary (defined in Resource complexType) | Provides extra information as binary contents coded in base64.
Type: | xsd:base64Binary
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
beneficiary (in settlementInstruction) | The ultimate beneficiary of the funds.
Type: | Beneficiary
Content: | complex, 4 elements
Defined: | locally witnin SettlementInstruction complexType; see XML source
beneficiary (in splitSettlement) | The ultimate beneficiary of the funds.
Type: | Routing
Content: | complex, 3 elements
Defined: | locally witnin SplitSettlement complexType; see XML source
beneficiaryBank (in settlementInstruction) | The bank that acts for the ultimate beneficiary of the funds in receiving payments.
Type: | Beneficiary
Content: | complex, 4 elements
Defined: | locally witnin SettlementInstruction complexType; see XML source
beneficiaryBank (in splitSettlement) | The bank that acts for the ultimate beneficiary of the funds in receiving payments.
Type: | Routing
Content: | complex, 3 elements
Defined: | locally witnin SplitSettlement complexType; see XML source
beneficiaryPartyReference | Link to the party acting as beneficiary.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Beneficiary complexType; see XML source
bermudaExercise | The parameters for defining the exercise period for a Bermuda style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Type: | BermudaExercise
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element exercise
Defined: | globally; see XML source
Used: | never
bermudaExerciseDates (in bermudaExercise) | The dates the define the Bermuda option exercise dates and the expiration date.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
brokerConfirmationType | The type of broker confirmation executed between the parties.
Type: | BrokerConfirmationType
Content: | simple, 1 attribute
Defined: | locally witnin BrokerConfirmation complexType; see XML source
businessCenter (defined in BusinessCenters complexType) |
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin BusinessCenters complexType; see XML source
businessCenter (defined in BusinessCenterTime complexType) |
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin BusinessCenterTime complexType; see XML source
businessCenter (defined in ExerciseNotice complexType) |
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin ExerciseNotice complexType; see XML source
businessCenters (defined in BusinessCentersOrReference.model group) |
Type: | BusinessCenters
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin BusinessCentersOrReference.model group; see XML source
businessCentersReference | A pointer style reference to a set of financial business centers defined elsewhere in the document.
Type: | BusinessCentersReference
Content: | empty, 1 attribute
Defined: | locally witnin BusinessCentersOrReference.model group; see XML source
businessDayConvention (defined in BusinessDateRange complexType) | The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
Type: | BusinessDayConventionEnum
Content: | simple
Defined: | locally witnin BusinessDateRange complexType; see XML source
businessDayConvention (defined in BusinessDayAdjustments complexType) | The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
Type: | BusinessDayConventionEnum
Content: | simple
Defined: | locally witnin BusinessDayAdjustments complexType; see XML source
businessDayConvention (in dateOffset) | The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
Type: | BusinessDayConventionEnum
Content: | simple
Defined: | locally witnin DateOffset complexType; see XML source
businessUnit | Optional organization unit information used to describe the organization units (e.g. trading desks) involved in a transaction or business process .
Type: | BusinessUnit
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin Party complexType; see XML source
businessUnitId | An identifier used to uniquely identify organization unit
Type: | Unit
Content: | simple, 1 attribute
Defined: | locally witnin BusinessUnit complexType; see XML source
businessUnitReference (defined in RelatedBusinessUnit complexType) | The unit that is related to this.
Type: | BusinessUnitReference
Content: | empty, 1 attribute
Defined: | locally witnin RelatedBusinessUnit complexType; see XML source
businessUnitReference (in person) | The unit for which the indvidual works.
Type: | BusinessUnitReference
Content: | empty, 1 attribute
Defined: | locally witnin Person complexType; see XML source
buyer (defined in Strike complexType) | The buyer of the option
Type: | IdentifiedPayerReceiver
Content: | simple, 1 attribute
Defined: | locally witnin Strike complexType; see XML source
buyer (defined in StrikeSchedule complexType) | The buyer of the option
Type: | IdentifiedPayerReceiver
Content: | simple, 1 attribute
Defined: | locally witnin StrikeSchedule complexType; see XML source
buyerPartyReference | A reference to the party that buys this instrument, ie. pays for this instrument and receives the rights defined by it.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin BuyerSeller.model group; see XML source
calculationAgentParty | The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions.
Type: | CalculationAgentPartyEnum
Content: | simple
Defined: | locally witnin CalculationAgent complexType; see XML source
calculationAgentPartyReference | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CalculationAgent complexType; see XML source
calculationEndDate |
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PeriodicDates complexType; see XML source
calculationPeriodDatesAdjustments | The business day convention to apply to each calculation period end date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
Type: | BusinessDayAdjustments
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin PeriodicDates complexType; see XML source
calculationPeriodFrequency | The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention.
Type: | CalculationPeriodFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin PeriodicDates complexType; see XML source
calculationPeriodNumberOfDays | The number of days from the adjusted calculation period start date to the adjusted value date, calculated in accordance with the applicable day count fraction.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin FutureValueAmount complexType; see XML source
calculationStartDate |
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PeriodicDates complexType; see XML source
capFloorStraddle | This element is applicable in Transparency view (only) if both a capRateSchedule and a floorRateSchedule are set.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin FloatingRate complexType; see XML source
capRateSchedule | The cap rate or cap rate schedule, if any, which applies to the floating rate.
Type: | StrikeSchedule
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FloatingRate complexType; see XML source
cashflowAmount | Cash flow amount in a given currency to be paid/received.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin GrossCashflow complexType; see XML source
cashflowId | Unique identifier for a cash flow.
Type: | CashflowId
Content: | simple, 1 attribute
Defined: | locally witnin GrossCashflow complexType; see XML source
cashflowType (in grossCashflow) | Defines the type of cash flow.
Type: | CashflowType
Content: | simple, 1 attribute
Defined: | locally witnin GrossCashflow complexType; see XML source
cashSettlementReferenceBanks | A container for a set of reference institutions.
Type: | CashSettlementReferenceBanks
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin SettlementRateSource complexType; see XML source
city | The city component of a postal address.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Address complexType; see XML source
classification | The party's industry sector classification.
Type: | IndustryClassification
Content: | simple, 1 attribute
Defined: | locally witnin PartyInformation.model group; see XML source
collateralValueAllocation | Collateral allocation by value.
Type: | CollateralValueAllocation
Content: | complex, 2 elements
Defined: | locally witnin ProposedCollateralAllocation complexType; see XML source
commencementDate (defined in SharedAmericanExercise complexType) | The first day of the exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SharedAmericanExercise complexType; see XML source
commencementDate (in americanExercise) | The first day of the exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
comments | Any additional comments that are deemed necessary.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
componentDescription | Text description of the component
Type: | xsd:string
Content: | simple
Defined: | locally witnin FormulaComponent complexType; see XML source
compoundingMethod (defined in InterestAccrualsCompoundingMethod complexType) | If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used.
Type: | CompoundingMethodEnum
Content: | simple
Defined: | locally witnin InterestAccrualsCompoundingMethod complexType; see XML source
contactInfo (defined in Party complexType) | Information on how to contact the party using various means.
Type: | ContactInformation
Content: | complex, 3 elements
Defined: | locally witnin Party complexType; see XML source
contactInfo (in businessUnit) | Information on how to contact the unit using various means.
Type: | ContactInformation
Content: | complex, 3 elements
Defined: | locally witnin BusinessUnit complexType; see XML source
contactInfo (in person) | Information on how to contact the individual using various means.
Type: | ContactInformation
Content: | complex, 3 elements
Defined: | locally witnin Person complexType; see XML source
correspondentInformation | The information required to identify the correspondent bank that will make delivery of the funds on the paying bank's behalf in the country where the payment is to be made
Type: | CorrespondentInformation
Content: | complex, 4 elements
Defined: | locally witnin SettlementInstruction complexType; see XML source
correspondentPartyReference | Link to the party acting as correspondent.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CorrespondentInformation complexType; see XML source
country (defined in Address complexType) | The ISO 3166 standard code for the country within which the postal address is located.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin Address complexType; see XML source
country (defined in PartyInformation.model group) | The country where the party is domiciled.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin PartyInformation.model group; see XML source
country (in businessUnit) | The ISO 3166 standard code for the country where the individual works.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin BusinessUnit complexType; see XML source
country (in person) | The ISO 3166 standard code for the country where the individual works.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin Person complexType; see XML source
creditRating | The party's credit rating.
Type: | CreditRating
Content: | simple, 1 attribute
Defined: | locally witnin PartyInformation.model group; see XML source
creditSupportAgreement | An agreement executed between two parties intended to govern collateral arrangement for OTC derivatives transactions between those parties, and that references the related party.
Type: | CreditSupportAgreement
Content: | complex, 3 elements
Defined: | locally witnin PartyRelationshipDocumentation complexType; see XML source
currency (defined in AmountSchedule complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin AmountSchedule complexType; see XML source
currency (defined in CashflowNotional complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CashflowNotional complexType; see XML source
currency (defined in MoneyBase complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin MoneyBase complexType; see XML source
currency (defined in PositiveAmountSchedule complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin PositiveAmountSchedule complexType; see XML source
currency (defined in PricingStructure complexType) | The currency that the structure is expressed in (this is relevant mostly for the Interes Rates asset class).
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin PricingStructure complexType; see XML source
currency (in notionalStepSchedule) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin NonNegativeAmountSchedule complexType; see XML source
currency1 (defined in QuotedCurrencyPair complexType) | The first currency specified when a pair of currencies is to be evaluated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin QuotedCurrencyPair complexType; see XML source
currency2 (defined in QuotedCurrencyPair complexType) | The second currency specified when a pair of currencies is to be evaluated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin QuotedCurrencyPair complexType; see XML source
date (in agreement) | The date on which the agreement was signed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin GenericAgreement complexType; see XML source
date (in bermudaExerciseDates in equityBermudaExercise) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin DateList complexType; see XML source
date (in creditSupportAgreement) | The date of the agreement executed between the parties and intended to govern collateral arrangements for all OTC derivatives transactions between those parties.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CreditSupportAgreement complexType; see XML source
dateOffset |
Type: | DateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin RelativeDateSequence complexType; see XML source
dateRelativeTo (defined in RelativeDateOffset complexType) | Specifies the anchor as an href attribute.
Type: | DateReference
Content: | empty, 1 attribute
Defined: | locally witnin RelativeDateOffset complexType; see XML source
dateRelativeTo (defined in RelativeDateSequence complexType) | Specifies the anchor as an href attribute.
Type: | DateReference
Content: | empty, 1 attribute
Defined: | locally witnin RelativeDateSequence complexType; see XML source
dateTime |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin DateTimeList complexType; see XML source
depositoryPartyReference | Reference to the depository of the settlement.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin SettlementInstruction complexType; see XML source
discountFactor | The value representing the discount factor used to calculate the present value of the cash flow.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PaymentDiscounting.model group; see XML source
documentation | Describes the agreements that define the party relationship.
Type: | PartyRelationshipDocumentation
Content: | complex, 3 elements
Defined: | locally witnin PartyRelationship complexType; see XML source
earliestExerciseTime (in americanExercise) | The earliest time at which notice of exercise can be given by the buyer to the seller (or seller's agent) i) on the expriation date, in the case of a European style option, (ii) on each bermuda option exercise date and the expiration date, in the case of a Bermuda style option the commencement date to, and including, the expiration date , in the case of an American option.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
earliestExerciseTime (in bermudaExercise) | The earliest time at which notice of exercise can be given by the buyer to the seller (or seller's agent) i) on the expriation date, in the case of a European style option, (ii) on each bermuda option exercise date and the expiration date, in the case of a Bermuda style option the commencement date to, and including, the expiration date , in the case of an American option.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
effectiveDate (defined in DirectionalLeg complexType) | Specifies the effective date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DirectionalLeg complexType; see XML source
effectiveDate (defined in PartyRelationship complexType) | The date on which the relationship begins or began.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PartyRelationship complexType; see XML source
effectiveDate (defined in VersionHistory.model group) | Optionally it is possible to specify a version effective date when a versionId is supplied.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin VersionHistory.model group; see XML source
email | An address on an electronic mail or messaging sysem .
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin ContactInformation complexType; see XML source
embeddedOptionType | Describes the type of any embedded optionality in the transaction that might not otherwise be apparent.
Type: | EmbeddedOptionType
Content: | simple, 1 attribute
Defined: | locally witnin Product.model group; see XML source
endDate (defined in Period.model group) | Date on which this period ends.
Type: | xsd:date
Content: | simple
Defined: | locally witnin Period.model group; see XML source
entityId | A legal entity identifier (e.g.
Type: | EntityId
Content: | simple, 1 attribute
Defined: | locally witnin LegalEntity complexType; see XML source
entityName | The name of the reference entity.
Type: | EntityName
Content: | simple, 1 attribute
Defined: | locally witnin LegalEntity complexType; see XML source
europeanExercise | The parameters for defining the exercise period for a European style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Type: | EuropeanExercise
Content: | complex, 1 attribute, 1 element
Subst.Gr: | may substitute for element exercise
Defined: | globally; see XML source
Used: | never
exercise | An placeholder for the actual option exercise definitions.
Type: | Exercise
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 3 elements
Defined: | globally; see XML source
Used: | at 7 locations
exerciseFeeSchedule (in americanExercise) | The fees associated with an exercise date.
Type: | ExerciseFeeSchedule
Content: | complex, 4 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
exerciseFeeSchedule (in bermudaExercise) | The fees associated with an exercise date.
Type: | ExerciseFeeSchedule
Content: | complex, 4 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
exerciseNotice (in manualExercise defined in ExerciseProcedure complexType) | Definition of the party to whom notice of exercise should be given.
Type: | ExerciseNotice
Content: | complex, 3 elements
Defined: | locally witnin ManualExercise complexType; see XML source
exerciseNoticePartyReference | The party referenced is the party to which notice of exercise should be given by the buyer.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ExerciseNotice complexType; see XML source
expirationDate (defined in SharedAmericanExercise complexType) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SharedAmericanExercise complexType; see XML source
expirationDate (in americanExercise) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
expirationDate (in europeanExercise) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EuropeanExercise complexType; see XML source
expirationTime (in americanExercise) | The latest time for exercise on expirationDate.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
expirationTime (in bermudaExercise) | The latest time for exercise on expirationDate.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
fallbackExercise | If fallback exercise is specified then the notional amount of the underlying swap, not previously exercised under the swaption, will be automatically exercised at the expiration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than one tenth of a percentage point (0.10% or 0.001).
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ManualExercise complexType; see XML source
feeAmount | The amount of fee to be paid on exercise.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ExerciseFee complexType; see XML source
feeAmountSchedule | The exercise fee amount schedule.
Type: | AmountSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExerciseFeeSchedule complexType; see XML source
feePaymentDate (defined in ExerciseFee complexType) | The date on which exercise fee(s) will be paid.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin ExerciseFee complexType; see XML source
feePaymentDate (defined in ExerciseFeeSchedule complexType) | The date on which exercise fee(s) will be paid.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin ExerciseFeeSchedule complexType; see XML source
feeRate | A fee represented as a percentage of some referenced notional.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ExerciseFee complexType; see XML source
feeRateSchedule | The exercise free rate schedule.
Type: | Schedule
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin ExerciseFeeSchedule complexType; see XML source
finalExchange | A true/false flag to indicate whether there is a final exchange of principal on the termination date.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PrincipalExchanges complexType; see XML source
firstName | Given name, such as John or Mary.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Person complexType; see XML source
fixedRate (defined in InterestAccrualsMethod complexType) | The calculation period fixed rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin InterestAccrualsMethod complexType; see XML source
fixedRate (in underlyerFinancing) | The calculation period fixed rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin UnderlyerInterestLeg complexType; see XML source
fixingDate (defined in FxFixing complexType) | Describes the specific date when a non-deliverable forward or cash-settled option will "fix" against a particular rate, which will be used to compute the ultimate cash settlement.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxFixing complexType; see XML source
fixingDate (defined in FxRateSourceFixing complexType) | The date on which the fixing is scheduled to occur.
Type: | AdjustableDate
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin FxRateSourceFixing complexType; see XML source
fixingTime (defined in FxSpotRateSource complexType) | The time at which the spot currency exchange rate will be observed.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin FxSpotRateSource complexType; see XML source
fixingTime (in nonstandardSettlementRate) | The time that the fixing will be taken along with a business center to define the time zone
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin FxInformationSource complexType; see XML source
floatingRate (defined in StubValue complexType) | The rates to be applied to the initial or final stub may be the linear interpolation of two different rates.
Type: | FloatingRate
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin StubValue complexType; see XML source
floatingRateCalculation (defined in InterestAccrualsMethod complexType) | The floating rate calculation definitions
Type: | FloatingRateCalculation
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin InterestAccrualsMethod complexType; see XML source
floatingRateIndex (defined in FloatingRateIndex.model group) |
Type: | FloatingRateIndex
Content: | simple, 1 attribute
Defined: | locally witnin FloatingRateIndex.model group; see XML source
floatingRateIndex (defined in ForecastRateIndex complexType) | The ISDA Floating Rate Option, i.e. the floating rate index.
Type: | FloatingRateIndex
Content: | simple, 1 attribute
Defined: | locally witnin ForecastRateIndex complexType; see XML source
floorRateSchedule | The floor rate or floor rate schedule, if any, which applies to the floating rate.
Type: | StrikeSchedule
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FloatingRate complexType; see XML source
followUpConfirmation (defined in ExerciseProcedure complexType) | A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExerciseProcedure complexType; see XML source
forecastRate | The value representing the forecast rate used to calculate the forecast future value of the accrual period.A value of 1% should be represented as 0.01
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
formula (in formulaComponent) | Additional formulas required to describe this component
Type: | Formula
Content: | complex, 3 elements
Defined: | locally witnin FormulaComponent complexType; see XML source
formulaComponent | Elements describing the components of the formula.
Type: | FormulaComponent
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Formula complexType; see XML source
formulaDescription | Text description of the formula
Type: | xsd:string
Content: | simple
Defined: | locally witnin Formula complexType; see XML source
fxSpotRateSource (defined in FxFixing complexType) | Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate.
Type: | FxSpotRateSource
Content: | complex, 3 elements
Defined: | locally witnin FxFixing complexType; see XML source
governingLaw | Identification of the law governing the agreement.
Type: | GoverningLaw
Content: | simple, 1 attribute
Defined: | locally witnin GenericAgreement complexType; see XML source
grossCashflow | Payment details of this cash flow component, including currency, amount and payer/payee.
Type: | GrossCashflow
Content: | complex, 4 elements
Defined: | locally witnin PaymentDetails complexType; see XML source
hexadecimalBinary (defined in ExternalDocument complexType) | Provides extra information as binary contents coded in hexadecimal.
Type: | xsd:hexBinary
Content: | simple
Defined: | locally witnin ExternalDocument complexType; see XML source
hexadecimalBinary (defined in Resource complexType) | Provides extra information as binary contents coded in hexadecimal.
Type: | xsd:hexBinary
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
honorific | An honorific title, such as Mr., Ms., Dr. etc.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Person complexType; see XML source
hourMinuteTime (defined in BusinessCenterTime complexType) | A time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00.
Type: | HourMinuteTime
Content: | simple
Defined: | locally witnin BusinessCenterTime complexType; see XML source
hourMinuteTime (defined in PrevailingTime complexType) | A time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00.
Type: | HourMinuteTime
Content: | simple
Defined: | locally witnin PrevailingTime complexType; see XML source
identifier (defined in PaymentDetails.model group) | Unique identifier assigned by either party or matching service, as agreed, to a payment.
Type: | PaymentId
Content: | simple, 1 attribute
Defined: | locally witnin PaymentDetails.model group; see XML source
identifier (in creditSupportAgreement) | An identifier used to uniquely identify the CSA
Type: | CreditSupportAgreementIdentifier
Content: | simple, 1 attribute
Defined: | locally witnin CreditSupportAgreement complexType; see XML source
increasedCostOfStockBorrow | If true, then increased cost of stock borrow is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin StockLoan.model group; see XML source
independentAmount | Independent Amount is an amount that usually less creditworthy counterparties are asked to provide.
Type: | IndependentAmount
Content: | complex, 2 elements
Defined: | locally witnin Collateral complexType; see XML source
indexTenor (defined in FloatingRateIndex.model group) | The ISDA Designated Maturity, i.e. the tenor of the floating rate.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FloatingRateIndex.model group; see XML source
indexTenor (defined in ForecastRateIndex complexType) | The ISDA Designated Maturity, i.e. the tenor of the floating rate.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ForecastRateIndex complexType; see XML source
informationSource (defined in SettlementRateSource complexType) | The information source where a published or displayed market rate will be obtained, e.g.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin SettlementRateSource complexType; see XML source
initial |
Type: | Initial
Content: | simple
Defined: | locally witnin Person complexType; see XML source
initialExchange | A true/false flag to indicate whether there is an initial exchange of principal on the effective date.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PrincipalExchanges complexType; see XML source
initialStockLoanRate | Specifies the initial stock loan rate for Increased Cost of Stock Borrow.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin StockLoan.model group; see XML source
initialValue (defined in PositiveSchedule complexType) | The strictly-positive initial rate or amount, as the case may be.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin PositiveSchedule complexType; see XML source
initialValue (defined in Schedule complexType) | The initial rate or amount, as the case may be.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Schedule complexType; see XML source
initialValue (in notionalStepSchedule) | The non-negative initial rate or amount, as the case may be.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin NonNegativeSchedule complexType; see XML source
integralMultipleAmount | A notional amount which restricts the amount of notional that can be exercised when partial exercise or multiple exercise is applicable.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PartialExercise.model group; see XML source
intermediaryInformation | Information to identify an intermediary through which payment will be made by the correspondent bank to the ultimate beneficiary of the funds.
Type: | IntermediaryInformation
Content: | complex, 5 elements
Defined: | locally witnin SettlementInstruction complexType; see XML source
intermediaryPartyReference | Reference to the party acting as intermediary.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin IntermediaryInformation complexType; see XML source
intermediarySequenceNumber | A sequence number that gives the position of the current intermediary in the chain of payment intermediaries.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin IntermediaryInformation complexType; see XML source
intermediateExchange | A true/false flag to indicate whether there are intermediate or interim exchanges of principal during the term of the swap.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PrincipalExchanges complexType; see XML source
jurisdiction | The legal jurisdiction of the entity's registration.
Type: | GoverningLaw
Content: | simple, 1 attribute
Defined: | locally witnin PartyInformation.model group; see XML source
language | Indicates the language of the resource, described using the ISO 639-2/T Code.
Type: | Language
Content: | simple, 1 attribute
Defined: | locally witnin Resource complexType; see XML source
latestExerciseTime (in americanExercise) | For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
latestExerciseTime (in bermudaExercise) | For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
legId | Identity of this leg.
Type: | LegId
Content: | simple, 1 attribute
Defined: | locally witnin LegIdentifier complexType; see XML source
legIdentifier | Version aware identification of this leg.
Type: | LegIdentifier
Content: | complex, 3 elements
Defined: | locally witnin DirectionalLeg complexType; see XML source
length | Indicates the length of the resource.
Type: | ResourceLength
Content: | complex, 2 elements
Defined: | locally witnin Resource complexType; see XML source
lengthUnit | The length unit of the resource.
Type: | LengthUnitEnum
Content: | simple
Defined: | locally witnin ResourceLength complexType; see XML source
lengthValue | The length value of the resource.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ResourceLength complexType; see XML source
limitationPercentage | Specifies the limitation percentage in Average Daily trading volume.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin AverageDailyTradingVolumeLimit complexType; see XML source
limitationPeriod | Specifies the limitation period for Average Daily trading volume in number of days.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin AverageDailyTradingVolumeLimit complexType; see XML source
limitedRightToConfirm | Has the meaning defined as part of the 1997 ISDA Government Bond Option Definitions, section 4.5 Limited Right to Confirm Exercise.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExerciseProcedure complexType; see XML source
location (defined in PrevailingTime complexType) | The geographic location to which the hourMinuteTime applies.
Type: | TimezoneLocation
Content: | simple, 1 attribute
Defined: | locally witnin PrevailingTime complexType; see XML source
lossOfStockBorrow | If true, then loss of stock borrow is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin StockLoan.model group; see XML source
manualExercise (defined in ExerciseProcedure complexType) | Specifies that the notice of exercise must be given by the buyer to the seller or seller's agent.
Type: | ManualExercise
Content: | complex, 2 elements
Defined: | locally witnin ExerciseProcedure complexType; see XML source
manualExercise (in exerciseProcedure) | Specifies that the notice of exercise must be given by the buyer to the seller or seller's agent.
Type: | Empty
Content: | empty
Defined: | locally witnin ExerciseProcedureOption complexType; see XML source
masterAgreement | A agreement executed between two parties that includes or references the related party.
Type: | MasterAgreement
Content: | complex, 3 elements
Defined: | locally witnin PartyRelationshipDocumentation complexType; see XML source
masterAgreementDate | The date on which the master agreement was signed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MasterAgreement complexType; see XML source
masterAgreementType | The agreement executed between the parties and intended to govern product-specific derivatives transactions between those parties.
Type: | MasterAgreementType
Content: | simple, 1 attribute
Defined: | locally witnin MasterAgreement complexType; see XML source
masterAgreementVersion | The version of the master agreement.
Type: | MasterAgreementVersion
Content: | simple, 1 attribute
Defined: | locally witnin MasterAgreement complexType; see XML source
masterConfirmation | The agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties.
Type: | MasterConfirmation
Content: | complex, 1 element
Defined: | locally witnin Documentation complexType; see XML source
masterConfirmationType | The type of master confirmation executed between the parties.
Type: | MasterConfirmationType
Content: | simple, 1 attribute
Defined: | locally witnin MasterConfirmation complexType; see XML source
math | An element for containing an XML representation of the formula.
Type: | Math
Content: | mixed (allows character data), elem. wildcard
Defined: | locally witnin Formula complexType; see XML source
matrixTerm | Defines any applicable key into the relevant matrix.
Type: | MatrixTerm
Content: | simple, 1 attribute
Defined: | locally witnin ContractualMatrix complexType; see XML source
matrixType | Identifies the form of applicable matrix.
Type: | MatrixType
Content: | simple, 1 attribute
Defined: | locally witnin ContractualMatrix complexType; see XML source
maximumNotionalAmount (defined in MultipleExercise complexType) | The maximum notional amount that can be exercised on a given exercise date.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin MultipleExercise complexType; see XML source
maximumNumberOfOptions (defined in MultipleExercise complexType) | The maximum number of options that can be exercised on a given exercise date.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin MultipleExercise complexType; see XML source
maximumStockLoanRate | Specifies the maximum stock loan rate for Loss of Stock Borrow.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin StockLoan.model group; see XML source
middleName |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Person complexType; see XML source
mimeType (defined in ExternalDocument complexType) | Indicates the type of media used to store the content. mimeType is used to determine the software product(s) that can read the content.
Type: | MimeType
Content: | simple, 1 attribute
Defined: | locally witnin ExternalDocument complexType; see XML source
mimeType (defined in Resource complexType) | Indicates the type of media used to store the content. mimeType is used to determine the software product(s) that can read the content.
Type: | MimeType
Content: | simple, 1 attribute
Defined: | locally witnin Resource complexType; see XML source
minimumNotionalAmount (defined in PartialExercise.model group) | The minimum notional amount that can be exercised on a given exercise date.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PartialExercise.model group; see XML source
minimumNumberOfOptions (defined in PartialExercise.model group) | The minimum number of options that can be exercised on a given exercise date.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin PartialExercise.model group; see XML source
multipleExercise (in americanExercise) | As defined in the 2000 ISDA Definitions, Section 12.4.
Type: | MultipleExercise
Content: | complex, 6 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
multipleExercise (in bermudaExercise) | As defined in the 2000 ISDA Definitions, Section 12.4.
Type: | MultipleExercise
Content: | complex, 6 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
name (defined in PricingStructure complexType) | The name of the structure, e.g "USDLIBOR-3M EOD Curve".
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin PricingStructure complexType; see XML source
name (defined in Resource complexType) | The name of the resource.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
name (in businessUnit) | A name used to describe the organization unit
Type: | xsd:string
Content: | simple
Defined: | locally witnin BusinessUnit complexType; see XML source
nonstandardSettlementRate | Indicates that a non-standard rate source will be used for the fixing.
Type: | FxInformationSource
Content: | complex, 4 elements
Defined: | locally witnin FxSettlementRateSource complexType; see XML source
notionalAmount (defined in FxCashSettlement complexType) | The amount of money that the settlement will be derived from.
Type: | PositiveMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxCashSettlement complexType; see XML source
notionalReference (defined in ExerciseFee complexType) | A pointer style reference to the associated notional schedule defined elsewhere in the document.
Type: | NotionalReference
Content: | empty, 1 attribute
Defined: | locally witnin ExerciseFee complexType; see XML source
notionalReference (defined in ExerciseFeeSchedule complexType) | A pointer style reference to the associated notional schedule defined elsewhere in the document.
Type: | ScheduleReference
Content: | empty, 1 attribute
Defined: | locally witnin ExerciseFeeSchedule complexType; see XML source
notionalReference (defined in PartialExercise.model group) | A pointer style reference to the associated notional schedule defined elsewhere in the document.
Type: | NotionalReference
Content: | empty, 1 attribute
Defined: | locally witnin PartialExercise.model group; see XML source
number (in telephone) | A telephonic contact.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TelephoneNumber complexType; see XML source
observationWeight | The number of days weighting to be associated with the rate observation, i.e. the number of days such rate is in effect.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
observedRate | The actual observed rate before any required rate treatment is applied, e.g. before converting a rate quoted on a discount basis to an equivalent yield.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
offset | Indicates whether time applies to the actual day specified (in which case this element should be omitted) the day prior to that day (in which case periodMultiplier should be -1 and period should be Day) or the day subsequent to that day (in which case periodMultiplier should be 1 and period should be Day).
Type: | Offset
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OffsetPrevailingTime complexType; see XML source
onBehalfOf (defined in OnBehalfOf.model group) | Indicates which party (or parties) (and accounts) a trade or event is being processed for.
Type: | OnBehalfOf
Content: | complex, 2 elements
Defined: | locally witnin OnBehalfOf.model group; see XML source
organizationType | The type of an organization's participantion in the OTC derivatives market.
Type: | OrganizationType
Content: | simple, 1 attribute
Defined: | locally witnin PartyInformation.model group; see XML source
party (defined in PartiesAndAccounts.model group) | A legal entity or a subdivision of a legal entity.
Type: | Party
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin PartiesAndAccounts.model group; see XML source
partyId | A party identifier, e.g. a S.W.I.F.T. bank identifier code (BIC).
Type: | PartyId
Content: | simple, 1 attribute
Defined: | locally witnin Party complexType; see XML source
partyName | The legal name of the organization.
Type: | PartyName
Content: | simple, 1 attribute
Defined: | locally witnin Party complexType; see XML source
partyReference (defined in ExerciseNotice complexType) | The party referenced has allocated the trade identifier.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ExerciseNotice complexType; see XML source
partyReference (defined in OnBehalfOf complexType) | The party for which the message reciever should work.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OnBehalfOf complexType; see XML source
partyReference (defined in PartyAndAccountReferences.model group) | Reference to a party.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PartyAndAccountReferences.model group; see XML source
partyTradeIdentifierReference | Pointer-style reference to the partyTradeIdentifier block within the tradeIdentifyingItems collection, which identifies the parent trade for this cashflow.
Type: | PartyTradeIdentifierReference
Content: | empty, 1 attribute
Defined: | locally witnin GrossCashflow complexType; see XML source
payerPartyReference (defined in PayerReceiver.model group) | A reference to the party responsible for making the payments defined by this structure.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PayerReceiver.model group; see XML source
paymentAmount (defined in NonNegativePayment complexType) | Non negative payment amount.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin NonNegativePayment complexType; see XML source
paymentAmount (defined in Payment complexType) | The currency amount of the payment.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Payment complexType; see XML source
paymentAmount (defined in PaymentDetails.model group) | Payment amount in a given currency to be paid/received.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDetails.model group; see XML source
paymentAmount (defined in PositivePayment complexType) | Positive payment amount.
Type: | PositiveMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PositivePayment complexType; see XML source
paymentAmount (defined in SimplePayment complexType) |
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimplePayment complexType; see XML source
paymentAmount (in paymentDetail) | A fixed payment amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDetail complexType; see XML source
paymentDate (defined in SimplePayment complexType) | The payment date.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimplePayment complexType; see XML source
paymentDate (in paymentDetail) | Payment date.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDetail complexType; see XML source
paymentDetail | A container element allowing a schedule of payments associated with the Independent Amount.
Type: | PaymentDetail
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin IndependentAmount complexType; see XML source
paymentReference | The reference to the identified payment strucutre.
Type: | PaymentReference
Content: | empty, 1 attribute
Defined: | locally witnin PaymentDetails complexType; see XML source
paymentRule | A type defining the calculation rule.
Type: | PaymentRule
Content: | empty
Defined: | locally witnin PaymentDetail complexType; see XML source
paymentType (defined in Payment complexType) | A classification of the type of fee or additional payment, e.g. brokerage, upfront fee etc.
Type: | PaymentType
Content: | simple, 1 attribute
Defined: | locally witnin Payment complexType; see XML source
percentageOfNotional (in premium defined in OptionBaseExtended complexType) | The amount of premium to be paid expressed as a percentage of the notional value of the transaction.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Premium.model group; see XML source
period (defined in Frequency complexType) | A time period, e.g. a day, week, month, year or term of the stream.
Type: | PeriodExtendedEnum
Content: | simple
Defined: | locally witnin Frequency complexType; see XML source
period (defined in Period complexType) | A time period, e.g. a day, week, month or year of the stream.
Type: | PeriodEnum
Content: | simple
Defined: | locally witnin Period complexType; see XML source
periodicDates (defined in AdjustableRelativeOrPeriodicDates complexType) |
Type: | PeriodicDates
Content: | complex, 4 elements
Defined: | locally witnin AdjustableRelativeOrPeriodicDates complexType; see XML source
periodicDates (defined in AdjustableRelativeOrPeriodicDates2 complexType) |
Type: | PeriodicDates
Content: | complex, 4 elements
Defined: | locally witnin AdjustableRelativeOrPeriodicDates2 complexType; see XML source
periodMultiplier (defined in Frequency complexType) | A time period multiplier, e.g. 1, 2 or 3 etc.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin Frequency complexType; see XML source
periodMultiplier (defined in Period complexType) | A time period multiplier, e.g. 1, 2 or 3 etc.
Type: | xsd:integer
Content: | simple
Defined: | locally witnin Period complexType; see XML source
person | Optional information about people involved in a transaction or busines process.
Type: | Person
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin Party complexType; see XML source
personId | An identifier assigned by a system for uniquely identifying the individual
Type: | PersonId
Content: | simple, 1 attribute
Defined: | locally witnin Person complexType; see XML source
personReference | The individual person that is related to this.
Type: | PersonReference
Content: | empty, 1 attribute
Defined: | locally witnin RelatedPerson complexType; see XML source
postalCode | The code, required for computerised mail sorting systems, that is allocated to a physical address by a national postal authority.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Address complexType; see XML source
precision | Specifies the rounding precision in terms of a number of decimal places.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin Rounding complexType; see XML source
presentValueAmount | The amount representing the present value of the forecast payment.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDiscounting.model group; see XML source
pricePerOption (in premium defined in OptionBaseExtended complexType) | The amount of premium to be paid expressed as a function of the number of options.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Premium.model group; see XML source
primaryAssetClass (defined in Product.model group) | A classification of the most important risk class of the trade.
Type: | AssetClass
Content: | simple, 1 attribute
Defined: | locally witnin Product.model group; see XML source
primaryRateSource | The primary source for where the rate observation will occur.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxSpotRateSource complexType; see XML source
product | An abstract element used as a place holder for the substituting product elements.
Type: | Product
Content: | complex, 1 attribute, 5 elements
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 28 elements
Defined: | globally; see XML source
Used: | at 31 locations
productId | A product reference identifier.
Type: | ProductId
Content: | simple, 1 attribute
Defined: | locally witnin Product.model group; see XML source
productType (defined in Product.model group) | A classification of the type of product.
Type: | ProductType
Content: | simple, 1 attribute
Defined: | locally witnin Product.model group; see XML source
publicationDate (defined in ContractualMatrix complexType) | Specifies the publication date of the applicable version of the matrix.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ContractualMatrix complexType; see XML source
publicationDate (defined in ContractualTermsSupplement complexType) | Specifies the publication date of the applicable version of the contractual supplement.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ContractualTermsSupplement complexType; see XML source
quoteBasis (defined in QuotedCurrencyPair complexType) | The method by which the exchange rate is quoted.
Type: | QuoteBasisEnum
Content: | simple
Defined: | locally witnin QuotedCurrencyPair complexType; see XML source
quotedCurrencyPair (defined in FxFixing complexType) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxFixing complexType; see XML source
quotedCurrencyPair (defined in FxRate complexType) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxRate complexType; see XML source
rate (defined in FxRate complexType) | The rate of exchange between the two currencies of the leg of a deal.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxRate complexType; see XML source
rateReference | A pointer style reference to a floating rate component defined as part of a stub calculation period amount component.
Type: | RateReference
Content: | empty, 1 attribute
Defined: | locally witnin RateObservation complexType; see XML source
rateSource (defined in InformationSource complexType) | An information source for obtaining a market rate.
Type: | InformationProvider
Content: | simple, 1 attribute
Defined: | locally witnin InformationSource complexType; see XML source
rateSourcePage (defined in InformationSource complexType) | A specific page for the rate source for obtaining a market rate.
Type: | RateSourcePage
Content: | simple, 1 attribute
Defined: | locally witnin InformationSource complexType; see XML source
rateSourcePageHeading (defined in InformationSource complexType) | The heading for the rate source on a given rate source page.
Type: | xsd:string
Content: | simple
Defined: | locally witnin InformationSource complexType; see XML source
referenceBank | An institution (party) identified by means of a coding scheme and an optional name.
Type: | ReferenceBank
Content: | complex, 2 elements
Defined: | locally witnin CashSettlementReferenceBanks complexType; see XML source
referenceBankId | An institution (party) identifier, e.g. a bank identifier code (BIC).
Type: | ReferenceBankId
Content: | simple, 1 attribute
Defined: | locally witnin ReferenceBank complexType; see XML source
referenceBankName | The name of the institution (party).
Type: | xsd:string
Content: | simple
Defined: | locally witnin ReferenceBank complexType; see XML source
referenceCurrency |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin FxCashSettlement complexType; see XML source
region | A code for a grouping of countries to which this belongs.
Type: | Region
Content: | simple, 1 attribute
Defined: | locally witnin PartyInformation.model group; see XML source
relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType) | A series of dates specified as a repeating sequence from a base date.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustableDatesOrRelativeDateOffset complexType; see XML source
relativeDate (defined in AdjustableOrRelativeDate complexType) | A date specified as some offset to another date (the anchor date).
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustableOrRelativeDate complexType; see XML source
relativeDateAdjustments | The business day convention and financial business centers used for adjusting the relative date if it would otherwise fall on a day that is not a business date in the specified business centers.
Type: | BusinessDayAdjustments
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustedRelativeDateOffset complexType; see XML source
relativeDates (defined in AdjustableOrRelativeDates complexType) | A series of dates specified as some offset to another series of dates (the anchor dates).
Type: | RelativeDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustableOrRelativeDates complexType; see XML source
relativeDates (defined in AdjustableRelativeOrPeriodicDates complexType) | A series of dates specified as some offset to another series of dates (the anchor dates).
Type: | RelativeDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustableRelativeOrPeriodicDates complexType; see XML source
relativeDates (defined in AdjustableRelativeOrPeriodicDates2 complexType) | A series of dates specified as some offset to another series of dates (the anchor dates).
Type: | RelativeDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustableRelativeOrPeriodicDates2 complexType; see XML source
relativeDateSequence (defined in AdjustableRelativeOrPeriodicDates complexType) | A series of dates specified as some offset to other dates (the anchor dates) which can
Type: | RelativeDateSequence
Content: | complex, 4 elements
Defined: | locally witnin AdjustableRelativeOrPeriodicDates complexType; see XML source
relevantUnderlyingDate (in americanExercise) | The date on the underlying set by the exercise of an option.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AmericanExercise complexType; see XML source
relevantUnderlyingDate (in bermudaExercise) | The date on the underlying set by the exercise of an option.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BermudaExercise complexType; see XML source
resetDate (defined in RateObservation complexType) | The reset date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
resourceId | The unique identifier of the resource within the event.
Type: | ResourceId
Content: | simple, 1 attribute
Defined: | locally witnin Resource complexType; see XML source
resourceType | A description of the type of the resource, e.g. a confirmation.
Type: | ResourceType
Content: | simple, 1 attribute
Defined: | locally witnin Resource complexType; see XML source
role (defined in PartyRelationship complexType) | The category of the relationship.
Type: | PartyRole
Content: | simple, 1 attribute
Defined: | locally witnin PartyRelationship complexType; see XML source
role (defined in RelatedBusinessUnit complexType) | The category of the relationship.
Type: | BusinessUnitRole
Content: | simple, 1 attribute
Defined: | locally witnin RelatedBusinessUnit complexType; see XML source
role (defined in RelatedParty complexType) | The category of the relationship.
Type: | PartyRole
Content: | simple, 1 attribute
Defined: | locally witnin RelatedParty complexType; see XML source
role (defined in RelatedPerson complexType) | The category of the relationship.
Type: | PersonRole
Content: | simple, 1 attribute
Defined: | locally witnin RelatedPerson complexType; see XML source
rollConvention | Used in conjunction with a frequency and the regular period start date of a calculation period, determines each calculation period end date within the regular part of a calculation period schedule.
Type: | RollConventionEnum
Content: | simple
Defined: | locally witnin CalculationPeriodFrequency complexType; see XML source
roundingDirection | Specifies the rounding direction.
Type: | RoundingDirectionEnum
Content: | simple
Defined: | locally witnin Rounding complexType; see XML source
routingAccountNumber | An account number via which a payment can be routed.
Type: | xsd:string
Content: | simple
Defined: | locally witnin RoutingExplicitDetails.model group; see XML source
routingAddress | A physical postal address via which a payment can be routed.
Type: | Address
Content: | complex, 5 elements
Defined: | locally witnin RoutingExplicitDetails.model group; see XML source
routingExplicitDetails | A set of details that is used to identify a party involved in the routing of a payment when the party does not have a code that identifies it within one of the recognized payment systems.
Type: | RoutingExplicitDetails
Content: | complex, 4 elements
Defined: | locally witnin RoutingIdentification.model group; see XML source
routingId | A unique identifier for party that is a participant in a recognized payment system.
Type: | RoutingId
Content: | simple, 1 attribute
Defined: | locally witnin RoutingIds complexType; see XML source
routingIds (defined in RoutingIdentification.model group) | A set of unique identifiers for a party, eachone identifying the party within a payment system.
Type: | RoutingIds
Content: | complex, 1 element
Defined: | locally witnin RoutingIdentification.model group; see XML source
routingIds (in routingIdsAndExplicitDetails) | A set of unique identifiers for a party, eachone identifying the party within a payment system.
Type: | RoutingIds
Content: | complex, 1 element
Defined: | locally witnin RoutingIdsAndExplicitDetails complexType; see XML source
routingIdsAndExplicitDetails | A combination of coded payment system identifiers and details for physical addressing for a party involved in the routing of a payment.
Type: | RoutingIdsAndExplicitDetails
Content: | complex, 5 elements
Defined: | locally witnin RoutingIdentification.model group; see XML source
routingName | A real name that is used to identify a party involved in the routing of a payment.
Type: | xsd:string
Content: | simple
Defined: | locally witnin RoutingExplicitDetails.model group; see XML source
routingReferenceText | A piece of free-format text used to assist the identification of a party involved in the routing of a payment.
Type: | xsd:string
Content: | simple
Defined: | locally witnin RoutingExplicitDetails.model group; see XML source
secondaryAssetClass | A classification of additional risk classes of the trade, if any.
Type: | AssetClass
Content: | simple, 1 attribute
Defined: | locally witnin Product.model group; see XML source
secondaryRateSource | An alternative, or secondary, source for where the rate observation will occur.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxSpotRateSource complexType; see XML source
seller (defined in Strike complexType) | The party that has sold.
Type: | IdentifiedPayerReceiver
Content: | simple, 1 attribute
Defined: | locally witnin Strike complexType; see XML source
seller (defined in StrikeSchedule complexType) | The party that has sold.
Type: | IdentifiedPayerReceiver
Content: | simple, 1 attribute
Defined: | locally witnin StrikeSchedule complexType; see XML source
sellerPartyReference | A reference to the party that sells ("writes") this instrument, i.e. that grants the rights defined by this instrument and in return receives a payment for it.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin BuyerSeller.model group; see XML source
servicingParty | A reference to the party that services/supports the account.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Account complexType; see XML source
settlementAmount (defined in SettlementAmountOrCurrency.model group) | Settlement Amount
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SettlementAmountOrCurrency.model group; see XML source
settlementCurrency (defined in FxCashSettlement complexType) | The currency in which cash settlement occurs for non-deliverable forwards and cash-settled options (non-deliverable or otherwise).
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin FxCashSettlement complexType; see XML source
settlementCurrency (defined in SettlementAmountOrCurrency.model group) | Settlement Currency for use where the Settlement Amount cannot be known in advance
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin SettlementAmountOrCurrency.model group; see XML source
settlementDate (defined in FxCashSettlement complexType) | The date on which settlement is scheduled to occur
Type: | AdjustableDate
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin FxCashSettlement complexType; see XML source
settlementInformation | The information required to settle a currency payment.
Type: | SettlementInformation
Content: | complex, 2 elements
Defined: | locally witnin PaymentDetails complexType; see XML source
settlementInstruction | An explicit specification of how a currency payment is to be made, when the payment is not netted and the route is other than the recipient's standard settlement instruction.
Type: | SettlementInstruction
Content: | complex, 7 elements
Defined: | locally witnin SettlementInformation complexType; see XML source
settlementMethod | The mechanism by which settlement is to be made.
Type: | SettlementMethod
Content: | simple, 1 attribute
Defined: | locally witnin SettlementInstruction complexType; see XML source
settlementRateOption | Indicates that an officially defined rate settlement rate option will be the used for the fixing.
Type: | SettlementRateOption
Content: | simple, 1 attribute
Defined: | locally witnin FxSettlementRateSource complexType; see XML source
settlementRateSource |
Type: | FxSettlementRateSource
Content: | complex, 2 elements
Defined: | locally witnin FxRateSourceFixing complexType; see XML source
sizeInBytes | Indicates the size of the resource in bytes.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
splitSettlement | The set of individual payments that are to be made when a currency payment settling a trade needs to be split between a number of ultimate beneficiaries.
Type: | SplitSettlement
Content: | complex, 3 elements
Defined: | locally witnin SettlementInstruction complexType; see XML source
splitSettlementAmount | One of the monetary amounts in a split settlement payment.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SplitSettlement complexType; see XML source
splitTicket | Typically applicable to the physical settlement of bond and convertible bond options.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExerciseProcedure complexType; see XML source
spreadSchedule (defined in FloatingRate complexType) | The ISDA Spread or a Spread schedule expressed as explicit spreads and dates.
Type: | SpreadSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FloatingRate complexType; see XML source
spreadSchedule (in underlyerFinancing) | The ISDA Spread or a Spread schedule expressed as explicit spreads and dates.
Type: | SpreadSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin UnderlyerInterestLeg complexType; see XML source
standardSettlementStyle | An optional element used to describe how a trade will settle.
Type: | StandardSettlementStyleEnum
Content: | simple
Defined: | locally witnin SettlementInformation complexType; see XML source
startDate (defined in Period.model group) | Date on which this period begins.
Type: | xsd:date
Content: | simple
Defined: | locally witnin Period.model group; see XML source
state | A country subdivision used in postal addresses in some countries.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Address complexType; see XML source
stepDate | The date on which the associated stepValue becomes effective.
Type: | xsd:date
Content: | simple
Defined: | locally witnin StepBase complexType; see XML source
stepValue (defined in NonNegativeStep complexType) | The non-negative rate or amount which becomes effective on the associated stepDate.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin NonNegativeStep complexType; see XML source
stepValue (defined in PositiveStep complexType) | The strictly positive rate or amount which becomes effective on the associated stepDate.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin PositiveStep complexType; see XML source
stepValue (in step defined in CalculationAmount complexType) | The rate or amount which becomes effective on the associated stepDate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Step complexType; see XML source
streetAddress | The set of street and building number information that identifies a postal address within a city.
Type: | StreetAddress
Content: | complex, 1 element
Defined: | locally witnin Address complexType; see XML source
streetLine | An individual line of street and building number information, forming part of a postal address.
Type: | xsd:string
Content: | simple
Defined: | locally witnin StreetAddress complexType; see XML source
strikeRate | The rate for a cap or floor.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Strike complexType; see XML source
string (defined in ExternalDocument complexType) | Provides extra information as string.
Type: | xsd:string
Content: | simple
Defined: | locally witnin ExternalDocument complexType; see XML source
string (defined in Resource complexType) | Provides extra information as string.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
stubAmount | An actual amount to apply for the initial or final stub period may have been agreed between th two parties.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin StubValue complexType; see XML source
stubEndDate | End date of stub period.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Stub complexType; see XML source
stubRate | An actual rate to apply for the initial or final stub period may have been agreed between the principal parties (in a similar way to how an initial rate may have been agreed for the first regular period).
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin StubValue complexType; see XML source
stubStartDate | Start date of stub period.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Stub complexType; see XML source
suffix | Name suffix, such as Jr., III, etc.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Person complexType; see XML source
surname | Family name, such as Smith or Jones.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Person complexType; see XML source
telephone | A telephonic contact.
Type: | TelephoneNumber
Content: | complex, 2 elements
Defined: | locally witnin ContactInformation complexType; see XML source
terminationDate (defined in DirectionalLeg complexType) | Specifies the termination date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DirectionalLeg complexType; see XML source
terminationDate (defined in PartyRelationship complexType) | The date on which the relationship ends or ended.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PartyRelationship complexType; see XML source
time (defined in OffsetPrevailingTime complexType) |
Type: | PrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin OffsetPrevailingTime complexType; see XML source
treatedForecastRate | The value representing the forecast rate after applying rate treatment rules.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
treatedRate | The observed rate after any required rate treatment is applied.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin RateObservation complexType; see XML source
type (defined in ContractualTermsSupplement complexType) | Identifies the form of applicable contractual supplement.
Type: | ContractualSupplement
Content: | simple, 1 attribute
Defined: | locally witnin ContractualTermsSupplement complexType; see XML source
type (defined in PartyRelationship complexType) | Additional definition refining the type of relationship.
Type: | PartyRoleType
Content: | simple, 1 attribute
Defined: | locally witnin PartyRelationship complexType; see XML source
type (defined in RelatedParty complexType) | Additional definition refining the type of relationship.
Type: | PartyRoleType
Content: | simple, 1 attribute
Defined: | locally witnin RelatedParty complexType; see XML source
type (defined in SpreadSchedule complexType) |
Type: | SpreadScheduleType
Content: | simple, 1 attribute
Defined: | locally witnin SpreadSchedule complexType; see XML source
type (in agreement) | The type of agreement executed between the parties.
Type: | AgreementType
Content: | simple, 1 attribute
Defined: | locally witnin GenericAgreement complexType; see XML source
type (in collateralValueAllocation) | The type of allocation e.g.
Type: | CollateralValueAllocationEnum
Content: | simple
Defined: | locally witnin CollateralValueAllocation complexType; see XML source
type (in creditSupportAgreement) | The type of ISDA Credit Support Agreement
Type: | CreditSupportAgreementType
Content: | simple, 1 attribute
Defined: | locally witnin CreditSupportAgreement complexType; see XML source
type (in telephone) | The type of telephone number (work, personal, mobile).
Type: | TelephoneTypeEnum
Content: | simple
Defined: | locally witnin TelephoneNumber complexType; see XML source
unadjustedDate (defined in AdjustableDate.model group) | A date subject to adjustment.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin AdjustableDate.model group; see XML source
unadjustedDate (defined in AdjustableDate2 complexType) | A date subject to adjustment.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin AdjustableDate2 complexType; see XML source
unadjustedDate (defined in AdjustableDates complexType) | A date subject to adjustment.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin AdjustableDates complexType; see XML source
unadjustedFirstDate | The first date of a date range.
Type: | xsd:date
Content: | simple
Defined: | locally witnin DateRange complexType; see XML source
unadjustedLastDate | The last date of a date range.
Type: | xsd:date
Content: | simple
Defined: | locally witnin DateRange complexType; see XML source
units (defined in CashflowNotional complexType) | The units in which an amount (not monetary) is denominated.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin CashflowNotional complexType; see XML source
url (defined in ExternalDocument complexType) | Provides extra information as URL that references the information on a web server accessible to the message recipient.
Type: | xsd:anyURI
Content: | simple
Defined: | locally witnin ExternalDocument complexType; see XML source
url (defined in Resource complexType) | Indicates where the resource can be found, as a URL that references the information on a web server accessible to the message recipient.
Type: | xsd:anyURI
Content: | simple
Defined: | locally witnin Resource complexType; see XML source
value (in collateralValueAllocation) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CollateralValueAllocation complexType; see XML source
valueDate (defined in FutureValueAmount complexType) | Adjusted value date of the future value amount.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FutureValueAmount complexType; see XML source
version (defined in VersionHistory.model group) | The version number
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin VersionHistory.model group; see XML source
version (in agreement) | The version of the agreement.
Type: | AgreementVersion
Content: | simple, 1 attribute
Defined: | locally witnin GenericAgreement complexType; see XML source

Complex Type Summary
Account | A generic account that represents any party's account at another party.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location
AccountId | The data type used for account identifiers.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
AccountName | The data type used for the name of the account.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
AccountReference | Reference to an account.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
AccountType | The data type used for account type.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Address | A type that represents a physical postal address.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
AdjustableDate | A type for defining a date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 11 locations
AdjustableDate2 | A type that is different from AdjustableDate in two regards.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 6 locations
AdjustableDates | A type for defining a series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the dates.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations
AdjustableDatesOrRelativeDateOffset | A type for defining a series of dates, either as a list of adjustable dates, or a as a repeating sequence from a base date
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
AdjustableOrAdjustedDate | A type for defining a date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | never
AdjustableOrRelativeDate | A type giving the choice between defining a date as an explicit date together with applicable adjustments or as relative to some other (anchor) date.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 38 locations
AdjustableOrRelativeDates | A type giving the choice between defining a series of dates as an explicit list of dates together with applicable adjustments or as relative to some other series of (anchor) dates.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 6 locations
AdjustableRelativeOrPeriodicDates |
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 3 locations
AdjustableRelativeOrPeriodicDates2 | A type giving the choice between defining a series of dates as an explicit list of dates together with applicable adjustments, or as relative to some other series of (anchor) dates, or as a set of factors to specify periodic occurences.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 2 locations
AdjustedRelativeDateOffset | A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date) plus optional date adjustments.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
AgreementType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
AgreementVersion |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
AmericanExercise | A type defining the exercise period for an American style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location
AmountReference | Specifies a reference to a monetary amount.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
AmountSchedule | A type defining a currency amount or a currency amount schedule.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
AssetClass |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
AutomaticExercise | A type to define automatic exercise of a swaption.
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
AverageDailyTradingVolumeLimit | To indicate the limitation percentage and limitation period.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Beneficiary | A type defining the beneficiary of the funds.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
BermudaExercise | A type defining the Bermuda option exercise dates and the expiration date together with any rules govenerning the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fee.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
BrokerConfirmation | Identifies the market sector in which the trade has been arranged.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
BrokerConfirmationType | Identifies the market sector in which the trade has been arranged.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
BusinessCenter | A code identifying a business day calendar location.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 5 locations
BusinessCenters | A type for defining business day calendar used in determining whether a day is a business day or not.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 2 locations
BusinessCentersReference | A pointer style reference to a set of business day calendar defined elsewhere in the document.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
BusinessCenterTime | A type for defining a time with respect to a business day calendar location.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 15 locations
BusinessDateRange | A type defining a range of contiguous business days by defining an unadjusted first date, an unadjusted last date and a business day convention and business centers for adjusting the first and last dates if they would otherwise fall on a non business day in the specified business centers.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
BusinessDayAdjustments | A type defining the business day convention and financial business centers used for adjusting any relevant date if it would otherwise fall on a day that is not a business day in the specified business centers.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations
BusinessDayAdjustmentsReference | Reference to a business day adjustments structure.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
BusinessUnit | A type that represents information about a unit within an organization.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
BusinessUnitReference | Reference to an organizational unit.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
BusinessUnitRole | A type describing a role played by a unit in one or more transactions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CalculationAgent | A type defining the ISDA calculation agent responsible for performing duties as defined in the applicable product definitions.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CalculationPeriodFrequency | A type defining the frequency at which calculation period end dates occur within the regular part of the calculation period schedule and thier roll date convention.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CashflowId | An identifier used to identify a single component cashflow.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CashflowNotional | The notional/principal value/quantity/volume used to compute the cashflow.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations
CashflowType | A coding scheme used to describe the type or purpose of a cash flow or cash flow component.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
CashSettlementReferenceBanks | A type defining the list of reference institutions polled for relevant rates or prices when determining the cash settlement amount for a product where cash settlement is applicable.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
ClearanceSystem | Unless otherwise specified, the principal clearance system customarily used for settling trades in the relevant underlying.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
Collateral | A type for defining the obligations of the counterparty subject to credit support requirements.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
CollateralValueAllocation |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ContactInformation | A type that represents how to contact an individual or organization.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
ContractualDefinitions | The definitions, such as those published by ISDA, that will define the terms of the trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
ContractualMatrix |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
ContractualSupplement | A contractual supplement (such as those published by ISDA) that will apply to the trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ContractualTermsSupplement | A contractual supplement (such as those published by ISDA) and its publication date that will apply to the trade.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
CorrespondentInformation | A type that describes the information to identify a correspondent bank that will make delivery of the funds on the paying bank's behalf in the country where the payment is to be made.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CountryCode | The code representation of a country or an area of special sovereignty.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 4 locations
CreditRating | A party's credit rating.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditSeniority | The repayment precedence of a debt instrument.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditSupportAgreement | The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CreditSupportAgreementIdentifier |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditSupportAgreementType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Currency | The code representation of a currency or fund.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 30 locations
DateList | List of Dates
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
DateOffset | A type defining an offset used in calculating a date when this date is defined in reference to another date through a date offset.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
DateRange | A type defining a contiguous series of calendar dates.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
DateReference | Reference to an identified date or a complex date structure.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
DateTimeList | List of DateTimes
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
DayCountFraction | The specification for how the number of days between two dates is calculated for purposes of calculation of a fixed or floating payment amount and the basis for how many days are assumed to be in a year.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 12 locations
DeterminationMethod | Coding scheme that specifies the method according to which an amount or a date is determined.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 6 locations
DeterminationMethodReference | A reference to the return swap notional determination method.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DirectionalLeg | An abstract base class for all directional leg types with effective date, termination date, where a payer makes a stream of payments of greater than zero value to a receiver.
Content: | complex, 1 attribute, 3 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 6 locations
Documentation | An entity for defining the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
EmbeddedOptionType | A flexible description of the type or characteristics of an option embbedded within another product.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Empty | A special type meant to be used for elements with no content and no attributes.
Content: | empty
Defined: | globally; see XML source
Used: | at 2 locations
EntityId | A legal entity identifier (e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
EntityName | The name of the reference entity.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
EuropeanExercise | A type defining the exercise period for a European style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ExchangeId | A short form unique identifier for an exchange.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 7 locations
Exercise | The abstract base class for all types which define way in which options may be exercised.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 12 locations
ExerciseFee | A type defining the fee payable on exercise of an option.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
ExerciseFeeSchedule | A type to define a fee or schedule of fees to be payable on the exercise of an option.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
ExerciseNotice | A type defining to whom and where notice of execution should be given.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
ExerciseProcedure | A type describing how notice of exercise should be given.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | never
ExerciseProcedureOption | A type describing how notice of exercise should be given.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ExternalDocument | A for holding information about documents external to the FpML.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | never
FloatingRate | A type defining a floating rate.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations
FloatingRateCalculation | A type defining the floating rate and definitions relating to the calculation of floating rate amounts.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Used: | at 3 locations
FloatingRateIndex | The ISDA Floating Rate Option, i.e. the floating rate index.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 4 locations
ForecastRateIndex | A type defining a rate index.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Formula | A type describing a financial formula, with its description and components.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
FormulaComponent | Elements describing the components of the formula.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
Frequency | A type defining a time frequency, e.g. one day, three months.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 8 locations
FutureValueAmount | A type defining a currency amount as at a future value date.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
FxCashSettlement | A type that is used for describing cash settlement of an option / non deliverable forward.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
FxFixing | A type that specifies the source for and timing of a fixing of an exchange rate.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
FxInformationSource |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
FxRate | A type describing the rate of a currency conversion: pair of currency, quotation mode and exchange rate.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
FxRateSourceFixing | Describes a rate source to be fixed and the date the fixing occurs
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
FxSettlementRateSource |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxSpotRateSource | A type defining the source and time for an fx rate.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
GenericAgreement | An entity for defining a generic agreement executed between two parties for any purpose.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
GoverningLaw | Identification of the law governing the transaction.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
GrossCashflow | A payment component owed from one party to the other for the cash flow date.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
HTTPAttachmentReference | A special type that allows references to HTTP attachments identified with an HTTP "Content-ID" header, as is done with SOAP with Attachments (http://www.w3.org/TR/SOAP-attachments).
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IdentifiedCurrency | Specifies Currency with ID attribute.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
IdentifiedCurrencyReference | Reference to a currency with ID attribute
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IdentifiedDate | A date which can be referenced elsewhere.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 11 locations
IdentifiedPayerReceiver | A type extending the PayerReceiverEnum type wih an id attribute.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 4 locations
IdentifiedRate | A rate which can be referenced elsewhere.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IndependentAmount |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
IndustryClassification | A party's industry sector classification.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
InformationProvider |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
InformationSource | A type defining the source for a piece of information (e.g. a rate refix or an fx fixing).
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 5 locations
InstrumentId | A short form unique identifier for a security.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
InterestAccrualsCompoundingMethod | A type defining the way in which interests are accrued: the applicable rate (fixed or floating reference) and the compounding method.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
InterestAccrualsMethod | A type describing the method for accruing interests on dividends.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
IntermediaryInformation | A type that describes the information to identify an intermediary through which payment will be made by the correspondent bank to the ultimate beneficiary of the funds.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
InterpolationMethod | The type of interpolation used.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
Language | The data type used for indicating the language of the resource, described using the ISO 639-2/T Code.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Leg | A supertype of leg.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 6 locations
LegalEntity | A type defining a legal entity.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 7 locations
LegalEntityReference | References a credit entity defined elsewhere in the document.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
LegId | Leg identity.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
LegIdentifier | Version aware identification of a leg.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
MainPublication | A type to define the main publication source.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
ManualExercise | A type defining manual exercise, i.e. that the option buyer counterparty must give notice to the option seller of exercise.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
MasterAgreement | An entity for defining the agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
MasterAgreementType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MasterAgreementVersion |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MasterConfirmation | An entity for defining the master confirmation agreement executed between the parties.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
MasterConfirmationAnnexType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
MasterConfirmationType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MatchId | An identifier used to identify matched cashflows.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Math | A type defining a mathematical expression.
Content: | mixed (allows character data), elem. wildcard
Defined: | globally; see XML source
Includes: | definition of elem. wildcard
Used: | at 1 location
MatrixTerm |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MatrixType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MimeType | The type that indicates the type of media used to store the content.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
Money | A type defining a currency amount.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 30 locations
MoneyBase | Abstract base class for all money types.
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations
MultipleExercise | A type defining multiple exercises.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
NonNegativeAmountSchedule | A type defining a currency amount or a currency amount schedule.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
NonNegativeMoney | A type defining a non negative money amount.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 36 locations
NonNegativePayment | A complex type to specify non negative payments.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 6 locations
NonNegativeSchedule | A type defining a schedule of non-negative rates or amounts in terms of an initial value and then a series of step date and value pairs.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
NonNegativeStep | A type defining a step date and non-negative step value pair.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
NotionalAmount | A complex type to specify the notional amount.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Used: | at 1 location
NotionalAmountReference | A reference to the notional amount.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
NotionalReference | A reference to the notional amount.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
NumberOfOptionsReference | A reference to the number of options.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
NumberOfUnitsReference | A reference to the number of units.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Offset | A type defining an offset used in calculating a new date relative to a reference date.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Used: | at 4 locations
OffsetPrevailingTime | Allows the specification of a time that may be on a day prior or subsequent to the day in question.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
OnBehalfOf |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
OrganizationType | A code that describes what type of role an organization plays, for example a SwapsDealer, a Major Swaps Participant, or Other
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
OriginatingEvent |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
PartialExercise | A type defining partial exercise.
Content: | complex, 4 elements
Defined: | globally; see XML source
Used: | never
Party | A type defining a legal entity or a subdivision of a legal entity.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 3 locations
PartyId | The data type used for party identifiers.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PartyName | The data type used for the legal name of an organization.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PartyReference | Reference to a party.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 29 locations
PartyRelationship |
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | never
PartyRelationshipDocumentation | A description of the legal agreement(s) and definitions that document a party's relationships with other parties
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PartyRole | A type describing a role played by a party in one or more transactions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
PartyRoleType | A type refining the role a role played by a party in one or more transactions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
PartyTradeIdentifierReference | A reference to a partyTradeIdentifier object.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
Payment | A type for defining payments.
Content: | complex, 2 attributes, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 11 locations
PaymentBase | An abstract base class for payment types.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 12 locations
PaymentBaseExtended | Base type for payments.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
PaymentDetail |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PaymentDetails | Details on the referenced payment. e.g.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
PaymentId | An identifier used to identify a matchable payment.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PaymentReference | Reference to a payment.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PaymentRule | The abstract base type from which all calculation rules of the independent amount must be derived.
Content: | empty
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
PaymentType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
Period | A type to define recurring periods or time offsets.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 23 locations
PeriodicDates |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
Person | A type that represents information about a person connected with a trade or business process.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 1 location
PersonId | An identifier used to identify an individual person.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PersonReference | Reference to an individual.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PersonRole | A type describing a role played by a person in one or more transactions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PositiveAmountSchedule | A type defining a currency amount or a currency amount schedule.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
PositiveMoney | A type defining a positive money amount
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 4 locations
PositivePayment | A complex type to specify positive payments.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
PositiveSchedule | A type defining a schedule of strictly-postive rates or amounts in terms of an initial value and then a series of step date and value pairs.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
PositiveStep | A type defining a step date and strictly-positive step value pair.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
PrevailingTime | A type for defining a time with respect to a geographic location, for example 11:00 Phoenix, USA.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
PricingStructure | An abstract pricing structure base type.
Content: | complex, 1 attribute, 2 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never
PricingStructureReference | Reference to a pricing structure or any derived components (i.e. yield curve).
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
PrincipalExchanges | A type defining which principal exchanges occur for the stream.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations
Product | The base type which all FpML products extend.
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 22 locations
ProductId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ProductReference | Reference to a full FpML product.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
ProductType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ProposedCollateralAllocation | The proposed collateral allocation.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
QuotedCurrencyPair | A type that describes the composition of a rate that has been quoted or is to be quoted.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 9 locations
Rate | The abstract base class for all types which define interest rate streams.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
RateObservation | A type defining parameters associated with an individual observation or fixing.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | never
RateReference | Reference to any rate (floating, inflation) derived from the abstract Rate component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
RateSourcePage |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
Reference | The abstract base class for all types which define intra-document pointers.
Content: | empty
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 30 locations
ReferenceAmount | Specifies the reference amount using a scheme.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReferenceBank | A type to describe an institution (party) identified by means of a coding scheme and an optional name.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReferenceBankId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Region | A code that describes the world region of a counterparty.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
RelatedBusinessUnit |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
RelatedParty |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
RelatedPerson |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
RelativeDateOffset | A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date).
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 7 locations
RelativeDates | A type describing a set of dates defined as relative to another set of dates.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Used: | at 3 locations
RelativeDateSequence | A type describing a date when this date is defined in reference to another date through one or several date offsets.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
RequestedAction |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
RequiredIdentifierDate | A date with a required identifier which can be referenced elsewhere.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ResetFrequency | A type defining the reset frequency.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Used: | at 2 locations
Resource | Describes the resource that contains the media representation of a business event (i.e used for stating the Publicly Available Information).
Content: | complex, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 12 elements
Used: | at 2 locations
ResourceId | The data type used for resource identifiers.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ResourceLength | The type that indicates the length of the resource.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ResourceType | The data type used for describing the type or purpose of a resource, e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReturnSwapNotionalAmountReference | A reference to the return swap notional amount.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Rounding | A type defining a rounding direction and precision to be used in the rounding of a rate.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Routing | A type that provides three alternative ways of identifying a party involved in the routing of a payment.
Content: | complex, 3 elements
Defined: | globally; see XML source
Used: | at 2 locations
RoutingExplicitDetails | A type that models name, address and supplementary textual information for the purposes of identifying a party involved in the routing of a payment.
Content: | complex, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
RoutingId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
RoutingIds | A type that provides for identifying a party involved in the routing of a payment by means of one or more standard identification codes.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
RoutingIdsAndExplicitDetails | A type that provides a combination of payment system identification codes with physical postal address details, for the purposes of identifying a party involved in the routing of a payment.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Schedule | A type defining a schedule of rates or amounts in terms of an initial value and then a series of step date and value pairs.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 6 locations
ScheduleReference | Reference to a schedule of rates or amounts.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SettlementInformation | A type that represents the choice of methods for settling a potential currency payment resulting from a trade: by means of a standard settlement instruction, by netting it out with other payments, or with an explicit settlement instruction.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SettlementInstruction | A type that models a complete instruction for settling a currency payment, including the settlement method to be used, the correspondent bank, any intermediary banks and the ultimate beneficary.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
SettlementMethod |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SettlementPriceDefaultElection | Coding scheme that specifies the settlement price default election.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
SettlementPriceSource | The source from which the settlement price is to be obtained, e.g. a Reuters page, Prezzo di Riferimento, etc.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
SettlementRateOption | A type defining the settlement rate options through a scheme reflecting the terms of the Annex A to the 1998 FX and Currency Option Definitions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SettlementRateSource | A type describing the method for obtaining a settlement rate.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
SharedAmericanExercise | TBA
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
SimplePayment | A complex type to specified payments in a simpler fashion than the Payment type.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations
SplitSettlement | A type that supports the division of a gross settlement amount into a number of split settlements, each requiring its own settlement instruction.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SpreadSchedule | Adds an optional spread type element to the Schedule to identify a long or short spread value.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
SpreadScheduleReference | Provides a reference to a spread schedule.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SpreadScheduleType | Defines a Spread Type Scheme to identify a long or short spread value.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Step | A type defining a step date and step value pair.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
StepBase | A type defining a step date and step value pair.
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations
StreetAddress | A type that describes the set of street and building number information that identifies a postal address within a city.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Strike | A type describing a single cap or floor rate.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | never
StrikeSchedule | A type describing a schedule of cap or floor rates.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
Stub | A type defining how a stub calculation period amount is calculated and the start and end date of the stub.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
StubValue | A type defining how a stub calculation period amount is calculated.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TelephoneNumber | A type that represents a telephonic contact.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TimezoneLocation | A geophraphic location for the purposes of defining a prevailing time according to the tz database.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
UnderlyerInterestLeg | A type describing interest payments associated with and underlyer, such as financing
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Unit | A type used to record information about a unit, subdivision, desk, or other similar business entity.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location

Simple Type Summary
CorrelationValue | A type defining a number specified as a decimal between -1 and 1 inclusive.
Defined: | globally; see XML source
Used: | at 1 location
HourMinuteTime | A type defining a time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00.
Defined: | globally; see XML source
Used: | at 2 locations
Initial |
Defined: | globally; see XML source
Used: | at 1 location
NonNegativeDecimal | A type defining a number specified as non negative decimal greater than 0 inclusive.
Defined: | globally; see XML source
Used: | at 18 locations
PositiveDecimal | A type defining a number specified as positive decimal greater than 0 exclusive.
Defined: | globally; see XML source
Used: | at 30 locations
RestrictedPercentage | A type defining a percentage specified as decimal from 0 to 1.
Defined: | globally; see XML source
Used: | at 4 locations
Scheme | The base class for all types which define coding schemes.
Defined: | globally; see XML source
Used: | at 166 locations
Token60 | A type defining a token of length between 1 and 60 characters inclusive.
Defined: | globally; see XML source
Used: | at 1 location

Element Group Summary
AdjustableDate.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
BusinessCentersOrReference.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
BuyerSeller.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations
CollateralPartyAndAccountReferences.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FloatingRateIndex.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
OnBehalfOf.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 4 locations
PartialExercise.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
PartiesAndAccounts.model | Supporting party and account definitions.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 7 locations
PartyAndAccountReferences.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 7 locations
PartyInformation.model | Information about a party for reporting purposes.
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
PayerReceiver.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 7 locations
PaymentDetails.model | A group that covers key elements used in payment reporting messages.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
PaymentDiscounting.model | A model group for representing the discounting elements that can be associated with a payment.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Period.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Premium.model | A model group for representing the option premium when expressed in a way other than an amount.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Product.model |
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
RoutingExplicitDetails.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
RoutingIdentification.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations
SettlementAmountOrCurrency.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
StockLoan.model | Stock Loan Content Model
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
VersionHistory.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10111 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-enum-5-5.xsd"/> <xsd:simpleType name="CorrelationValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a number specified as a decimal between -1 and 1 inclusive. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:decimal"> <xsd:minInclusive value="-1"/> <xsd:maxInclusive value="1"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="HourMinuteTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:time"> <xsd:pattern value="[0-2][0-9]:[0-5][0-9]:00"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="Initial"> <xsd:restriction base="xsd:normalizedString"> <xsd:length value="1"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a number specified as non negative decimal greater than 0 inclusive. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:decimal"> <xsd:minInclusive value="0"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a number specified as positive decimal greater than 0 exclusive. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:decimal"> <xsd:minExclusive value="0"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a percentage specified as decimal from 0 to 1. A percentage of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:decimal"> <xsd:minInclusive value="0"/> <xsd:maxInclusive value="1"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="Scheme"> <xsd:annotation> <xsd:documentation xml:lang="en"> The base class for all types which define coding schemes. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:normalizedString"> <xsd:maxLength value="255"/> </xsd:restriction> </xsd:simpleType> <xsd:simpleType name="Token60"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a token of length between 1 and 60 characters inclusive. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:token"> <xsd:minLength value="1"/> <xsd:maxLength value="60"/> </xsd:restriction> </xsd:simpleType> <xsd:complexType name="Account"> <xsd:annotation> <xsd:documentation xml:lang="en"> A generic account that represents any party's account at another party. Parties may be identified by the account at another party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="accountId" type="AccountId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An account identifier. For example an Account number. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="accountName" type="AccountName"> <xsd:annotation> <xsd:documentation xml:lang="en">The name by which the account is known.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="accountType" type="AccountType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of account. e.g., Client, House</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="accountBeneficiary" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party beneficiary of the account. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="servicingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party that services/supports the account. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"> <xsd:annotation> <xsd:documentation xml:lang="en"> The unique identifier for the account within the document. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:complexType> <xsd:complexType name="AccountId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for account identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="accountIdScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> The identifier scheme used with this accountId. A unique URI to determine the authoritative issuer of these identifiers. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="AccountName"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for the name of the account.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="accountNameScheme" type="xsd:anyURI" use="optional"> <xsd:annotation> <xsd:documentation xml:lang="en"> The identifier scheme used with this accountName. A unique URI to determine the source of the account name. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="AccountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to an account.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Account" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="AccountType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for account type.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/account-type" name="accountTypeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> The identifier scheme used with this accountType. A unique URI to determine the the type of account. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Address"> <xsd:annotation> <xsd:documentation xml:lang="en">A type that represents a physical postal address.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="streetAddress" type="StreetAddress"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of street and building number information that identifies a postal address within a city. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="city" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">The city component of a postal address.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="state" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A country subdivision used in postal addresses in some countries. For example, US states, Canadian provinces, Swiss cantons. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="country" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISO 3166 standard code for the country within which the postal address is located. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="postalCode" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The code, required for computerised mail sorting systems, that is allocated to a physical address by a national postal authority. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining a date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> <xsd:group ref="AdjustableDate.model"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that is different from AdjustableDate in two regards. First, date adjustments can be specified with either a dateAdjustments element or a reference to an existing dateAdjustments element. Second, it does not require the specification of date adjustments. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="unadjustedDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">A date subject to adjustment.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty choice.--> <!--View Generation: SKIPPED adjustedDate - DateAdjustments--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining a series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="unadjustedDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">A date subject to adjustment.</xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED dateAdjustments - Adjustments--> <!--View Generation: SKIPPED adjustedDate - Documentation--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="AdjustableDatesOrRelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining a series of dates, either as a list of adjustable dates, or a as a repeating sequence from a base date </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en">A series of adjustable dates</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates specified as a repeating sequence from a base date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="AdjustableOrAdjustedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining a date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:group ref="AdjustableDate.model"/> <xsd:element name="adjustedDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date once the adjustment has been performed. (Note that this date may change if the business center holidays change). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type giving the choice between defining a date as an explicit date together with applicable adjustments or as relative to some other (anchor) date. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="adjustableDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date specified as some offset to another date (the anchor date). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type giving the choice between defining a series of dates as an explicit list of dates together with applicable adjustments or as relative to some other series of (anchor) dates. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeDates" type="RelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates specified as some offset to another series of dates (the anchor dates). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustableRelativeOrPeriodicDates"> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeDates" type="RelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates specified as some offset to another series of dates (the anchor dates). This element is provided to maintain consistency with prior Transparency view models of valuationDates and should not be used for other purposes. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeDateSequence" type="RelativeDateSequence"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates specified as some offset to other dates (the anchor dates) which can </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="periodicDates" type="PeriodicDates"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustableRelativeOrPeriodicDates2"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type giving the choice between defining a series of dates as an explicit list of dates together with applicable adjustments, or as relative to some other series of (anchor) dates, or as a set of factors to specify periodic occurences. </xsd:documentation> </xsd:annotation> <xsd:choice> <!--View Generation: SKIPPED adjustableDates - Unsupported--> <xsd:element name="relativeDates" type="RelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates specified as some offset to another series of dates (the anchor dates). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="periodicDates" type="PeriodicDates"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AdjustedRelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date) plus optional date adjustments. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="RelativeDateOffset"> <xsd:sequence> <xsd:element minOccurs="0" name="relativeDateAdjustments" type="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> The business day convention and financial business centers used for adjusting the relative date if it would otherwise fall on a day that is not a business date in the specified business centers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="AgreementType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="agreementTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="AgreementVersion"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="agreementVersionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="AmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the exercise period for an American style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="relevantUnderlyingDate" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on the underlying set by the exercise of an option. What this date is depends on the option (e.g. in a swaption it is the swap effective date, in an extendible/cancelable provision it is the swap termination date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="earliestExerciseTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The earliest time at which notice of exercise can be given by the buyer to the seller (or seller's agent) i) on the expriation date, in the case of a European style option, (ii) on each bermuda option exercise date and the expiration date, in the case of a Bermuda style option the commencement date to, and including, the expiration date , in the case of an American option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent. Notice of exercise given after this time will be deemed to have been given on the next exercise business day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en">The latest time for exercise on expirationDate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multipleExercise" type="MultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> As defined in the 2000 ISDA Definitions, Section 12.4. Multiple Exercise, the buyer of the option has the right to exercise all or less than all the unexercised notional amount of the underlying swap on one or more days in the exercise period, but on any such day may not exercise less than the minimum notional amount or more that the maximum notional amount, and if an integral multiple amount is specified, the notional amount exercised must be equal to, or be an intergral multiple of, the integral multiple amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFeeSchedule" type="ExerciseFeeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fees associated with an exercise date. The fees are conditional on the exercise occuring. The fees can be specified as actual currency amounts or as percentages of the notional amount being exercised. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="AmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a reference to a monetary amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="AmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a currency amount or a currency amount schedule. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Schedule"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="AssetClass"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/asset-class" name="assetClassScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="AutomaticExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define automatic exercise of a swaption. With automatic exercise the option is deemed to have exercised if it is in the money by more than the threshold amount on the exercise date. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED thresholdRate - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AverageDailyTradingVolumeLimit"> <xsd:annotation> <xsd:documentation xml:lang="en"> To indicate the limitation percentage and limitation period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="limitationPercentage" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the limitation percentage in Average Daily trading volume. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="limitationPeriod" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the limitation period for Average Daily trading volume in number of days. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Beneficiary"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining the beneficiary of the funds.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="RoutingIdentification.model"/> <xsd:element minOccurs="0" name="beneficiaryPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Link to the party acting as beneficiary. This element can only appear within the beneficiary container element. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BermudaExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the Bermuda option exercise dates and the expiration date together with any rules govenerning the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fee. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="bermudaExerciseDates" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The dates the define the Bermuda option exercise dates and the expiration date. The last specified date is assumed to be the expiration date. The dates can either be specified as a series of explicit dates and associated adjustments or as a series of dates defined relative to another schedule of dates, for example, the calculation period start dates. Where a relative series of dates are defined the first and last possible exercise dates can be separately specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="relevantUnderlyingDate" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on the underlying set by the exercise of an option. What this date is depends on the option (e.g. in a swaption it is the swap effective date, in an extendible/cancelable provision it is the swap termination date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="earliestExerciseTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The earliest time at which notice of exercise can be given by the buyer to the seller (or seller's agent) i) on the expriation date, in the case of a European style option, (ii) on each bermuda option exercise date and the expiration date, in the case of a Bermuda style option the commencement date to, and including, the expiration date , in the case of an American option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent. Notice of exercise given after this time will be deemed to have been given on the next exercise business day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en">The latest time for exercise on expirationDate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multipleExercise" type="MultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> As defined in the 2000 ISDA Definitions, Section 12.4. Multiple Exercise, the buyer of the option has the right to exercise all or less than all the unexercised notional amount of the underlying swap on one or more days in the exercise period, but on any such day may not exercise less than the minimum notional amount or more that the maximum notional amount, and if an integral multiple amount is specified, the notional amount exercised must be equal to, or be an intergral multiple of, the integral multiple amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFeeSchedule" type="ExerciseFeeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fees associated with an exercise date. The fees are conditional on the exercise occuring. The fees can be specified as actual currency amounts or as percentages of the notional amount being exercised. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BrokerConfirmation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the market sector in which the trade has been arranged. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="brokerConfirmationType" type="BrokerConfirmationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of broker confirmation executed between the parties. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BrokerConfirmationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the market sector in which the trade has been arranged. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/broker-confirmation-type" name="brokerConfirmationTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="BusinessCenter"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code identifying a business day calendar location. A business day calendar location is drawn from the list identified by the business day calendar location scheme. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/business-center" name="businessCenterScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="BusinessCenters"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining business day calendar used in determining whether a day is a business day or not. A list of business day calendar locations may be ordered in the document alphabetically based on business day calendar location code. An FpML document containing an unordered business day calendar location list is still regarded as a conformant document. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="businessCenter" type="BusinessCenter"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="BusinessCentersReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a set of business day calendar defined elsewhere in the document. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="BusinessCenters" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining a time with respect to a business day calendar location. For example, 11:00am London time. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="hourMinuteTime" type="HourMinuteTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="businessCenter" type="BusinessCenter"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BusinessDateRange"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a range of contiguous business days by defining an unadjusted first date, an unadjusted last date and a business day convention and business centers for adjusting the first and last dates if they would otherwise fall on a non business day in the specified business centers. The days between the first and last date must also be good business days in the specified centers to be counted in the range. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DateRange"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The convention for adjusting a date if it would otherwise fall on a day that is not a business day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the business day convention and financial business centers used for adjusting any relevant date if it would otherwise fall on a day that is not a business day in the specified business centers. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The convention for adjusting a date if it would otherwise fall on a day that is not a business day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="BusinessDayAdjustmentsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a business day adjustments structure. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="BusinessDayAdjustments" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BusinessUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that represents information about a unit within an organization. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">A name used to describe the organization unit</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="businessUnitId" type="Unit"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier used to uniquely identify organization unit </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Information on how to contact the unit using various means. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="country" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISO 3166 standard code for the country where the individual works. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="BusinessUnitReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to an organizational unit.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="BusinessUnit" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BusinessUnitRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a role played by a unit in one or more transactions. Examples include roles such as Trader, Collateral, Confirmation, Settlement, etc. This can be extended to provide custom roles. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/unit-role" name="unitRoleScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CalculationAgent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the ISDA calculation agent responsible for performing duties as defined in the applicable product definitions. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element maxOccurs="unbounded" name="calculationAgentPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. The party referenced is the ISDA Calculation Agent for the trade. If more than one party is referenced then the parties are assumed to be co-calculation agents, i.e. they have joint responsibility. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element name="calculationAgentParty" type="CalculationAgentPartyEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions. For example, the Calculation Agent may be defined as being the Non-exercising Party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="CalculationPeriodFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the frequency at which calculation period end dates occur within the regular part of the calculation period schedule and thier roll date convention. In case the calculation frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="rollConvention" type="RollConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used in conjunction with a frequency and the regular period start date of a calculation period, determines each calculation period end date within the regular part of a calculation period schedule. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CashflowId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier used to identify a single component cashflow. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="cashflowIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CashflowNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional/principal value/quantity/volume used to compute the cashflow. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="units" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The units in which an amount (not monetary) is denominated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element name="amount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The quantity of notional (in currency or other units). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CashflowType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A coding scheme used to describe the type or purpose of a cash flow or cash flow component. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/cashflow-type" name="cashflowTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CashSettlementReferenceBanks"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the list of reference institutions polled for relevant rates or prices when determining the cash settlement amount for a product where cash settlement is applicable. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="referenceBank" type="ReferenceBank"> <xsd:annotation> <xsd:documentation xml:lang="en"> An institution (party) identified by means of a coding scheme and an optional name. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ClearanceSystem"> <xsd:annotation> <xsd:documentation xml:lang="en"> Unless otherwise specified, the principal clearance system customarily used for settling trades in the relevant underlying. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/clearance-system" name="clearanceSystemScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- IY moved from fpml-eq-shared.xsd for EQS PSA CFD proposal --> <xsd:complexType name="Collateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the obligations of the counterparty subject to credit support requirements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="independentAmount" type="IndependentAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Independent Amount is an amount that usually less creditworthy counterparties are asked to provide. It can either be a fixed amount or a percentage of the Transaction's value. The Independent Amount can be: (i) transferred before any trading between the parties occurs (as a deposit at a third party's account or with the counterparty) or (ii) callable after trading has occurred (typically because a downgrade has occurred). In situation (i), the Independent Amount is not included in the calculation of Exposure, but in situation (ii), it is included in the calculation of Exposure. Thus, for situation (ii), the Independent Amount may be transferred along with any collateral call. Independent Amount is a defined term in the ISDA Credit Support Annex. ("with respect to a party, the amount specified as such for that party in Paragraph 13; if no amount is specified, zero"). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CollateralValueAllocation"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="CollateralValueAllocationEnum"> <xsd:annotation> <xsd:documentation> The type of allocation e.g. Full or ExcessOverMargin </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="value" type="Money"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ContactInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that represents how to contact an individual or organization. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="telephone" type="TelephoneNumber"> <xsd:annotation> <xsd:documentation xml:lang="en">A telephonic contact.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="email" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> An address on an electronic mail or messaging sysem . </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="address" type="Address"> <xsd:annotation> <xsd:documentation xml:lang="en">A postal or street address.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ContractualDefinitions"> <xsd:annotation> <xsd:documentation xml:lang="en"> The definitions, such as those published by ISDA, that will define the terms of the trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/contractual-definitions" name="contractualDefinitionsScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ContractualMatrix"> <xsd:sequence> <xsd:element minOccurs="0" name="matrixType" type="MatrixType"> <xsd:annotation> <xsd:documentation xml:lang="en">Identifies the form of applicable matrix.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publicationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the publication date of the applicable version of the matrix. When this element is omitted, the ISDA supplemental language for incorporation of the relevant matrix will generally define rules for which version of the matrix is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="matrixTerm" type="MatrixTerm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines any applicable key into the relevant matrix. For example, the Transaction Type would be the single term required for the Credit Derivatives Physical Settlement Matrix. This element should be omitted in the case of the 2000 ISDA Definitions Settlement Matrix for Early Termination and Swaptions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ContractualSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A contractual supplement (such as those published by ISDA) that will apply to the trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/contractual-supplement" name="contractualSupplementScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ContractualTermsSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A contractual supplement (such as those published by ISDA) and its publication date that will apply to the trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="ContractualSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the form of applicable contractual supplement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publicationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the publication date of the applicable version of the contractual supplement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CorrespondentInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the information to identify a correspondent bank that will make delivery of the funds on the paying bank's behalf in the country where the payment is to be made. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="RoutingIdentification.model"/> <xsd:element minOccurs="0" name="correspondentPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Link to the party acting as correspondent. This element can only appear within the correspondentInformation container element. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> The code representation of a country or an area of special sovereignty. By default it is a valid 2 character country code as defined by the ISO standard 3166-1 alpha-2 - Codes for representation of countries http://www.niso.org/standards/resources/3166.html. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:token"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/iso3166" name="countryScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditSeniority"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The repayment precedence of a debt instrument.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-seniority" name="creditSeniorityScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> creditSeniorityTradingScheme overrides creditSeniorityScheme when the underlyer defines the reference obligation used in a single name credit default swap trade. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="CreditSupportAgreementType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of ISDA Credit Support Agreement</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="date" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date of the agreement executed between the parties and intended to govern collateral arrangements for all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="identifier" type="CreditSupportAgreementIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">An identifier used to uniquely identify the CSA</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditSupportAgreementIdentifier"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="creditSupportAgreementIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditSupportAgreementType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-support-agreement-type" name="creditSupportAgreementTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditRating"> <xsd:annotation> <xsd:documentation xml:lang="en">A party's credit rating.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/moodys" name="creditRatingScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The code representation of a currency or fund. By default it is a valid currency code as defined by the ISO standard 4217 - Codes for representation of currencies and funds http://www.iso.org/iso/en/prods-services/popstds/currencycodeslist.html. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/iso4217-2001-08-15" name="currencyScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DateList"> <xsd:annotation> <xsd:documentation xml:lang="en">List of Dates</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="date" type="xsd:date"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an offset used in calculating a date when this date is defined in reference to another date through a date offset. The type includes the convention for adjusting the date and an optional sequence element to indicate the order in a sequence of multiple date offsets. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The convention for adjusting a date if it would otherwise fall on a day that is not a business day. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DateRange"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a contiguous series of calendar dates. The date range is defined as all the dates between and including the first and the last date. The first date must fall before the last date. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedFirstDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The first date of a date range.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="unadjustedLastDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The last date of a date range.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to an identified date or a complex date structure. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DateTimeList"> <xsd:annotation> <xsd:documentation xml:lang="en">List of DateTimes</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dateTime" type="xsd:dateTime"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification for how the number of days between two dates is calculated for purposes of calculation of a fixed or floating payment amount and the basis for how many days are assumed to be in a year. Day Count Fraction is an ISDA term. The equivalent AFB (Association Francaise de Banques) term is Calculation Basis. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/day-count-fraction" name="dayCountFractionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Coding scheme that specifies the method according to which an amount or a date is determined. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/determination-method" name="determinationMethodScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DeterminationMethodReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the return swap notional determination method. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="DeterminationMethod" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- IY moved from fpml-eq-shared.xsd for EQS PSA CFD proposal --> <xsd:complexType abstract="true" name="DirectionalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all directional leg types with effective date, termination date, where a payer makes a stream of payments of greater than zero value to a receiver. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="legIdentifier" type="LegIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">Version aware identification of this leg.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Documentation"> <xsd:annotation> <xsd:documentation xml:lang="en"> An entity for defining the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED masterAgreement - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="masterConfirmation" type="MasterConfirmation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED contractualDefinitions - Documentation--> <!--View Generation: SKIPPED contractualTermsSupplement - Documentation--> <!--View Generation: SKIPPED contractualMatrix - Documentation--> <!--View Generation: SKIPPED creditSupportAgreement - Documentation--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="attachment" type="Resource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A human readable document related to this transaction, for example a confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EmbeddedOptionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flexible description of the type or characteristics of an option embbedded within another product. For example, a cancelable provision or an optional early termination provision. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/embedded-option-type" name="embeddedOptionTypeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en">The type scheme used with this option type.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en"> A special type meant to be used for elements with no content and no attributes. </xsd:documentation> </xsd:annotation> </xsd:complexType> <xsd:complexType name="EntityId"> <xsd:annotation> <xsd:documentation xml:lang="en">A legal entity identifier (e.g. RED entity code).</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/entity-id-RED-1-0" name="entityIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EntityName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the reference entity. A free format string. FpML does not define usage rules for this element. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/entity-name-RED-1-0" name="entityNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the exercise period for a European style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED relevantUnderlyingDate - DateAdjustments--> <!--View Generation: SKIPPED earliestExerciseTime - Documentation--> <!--View Generation: SKIPPED expirationTime - Documentation--> <!--View Generation: SKIPPED partialExercise - Documentation--> <!--View Generation: SKIPPED exerciseFee - Unsupported--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A short form unique identifier for an exchange. If the element is not present then the exchange shall be the primary exchange on which the underlying is listed. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/exchange-id-MIC-1-0" name="exchangeIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Exercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base class for all types which define way in which options may be exercised. </xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ExerciseFee"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the fee payable on exercise of an option. This fee may be defined as an amount or a percentage of the notional exercised. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="notionalReference" type="NotionalReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated notional schedule defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="feeAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of fee to be paid on exercise. The fee currency is that of the referenced notional. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="feeRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A fee represented as a percentage of some referenced notional. A percentage of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="feePaymentDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which exercise fee(s) will be paid. It is specified as a relative date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExerciseFeeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define a fee or schedule of fees to be payable on the exercise of an option. This fee may be defined as an amount or a percentage of the notional exercised. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="notionalReference" type="ScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated notional schedule defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="feeAmountSchedule" type="AmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The exercise fee amount schedule. The fees are expressed as currency amounts. The currency of the fee is assumed to be that of the notional schedule referenced. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="feeRateSchedule" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The exercise free rate schedule. The fees are expressed as percentage rates of the notional being exercised. The currency of the fee is assumed to be that of the notional schedule referenced. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="feePaymentDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which exercise fee(s) will be paid. It is specified as a relative date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExerciseNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining to whom and where notice of execution should be given. The partyReference refers to one of the principal parties of the trade. If present the exerciseNoticePartyReference refers to a party, other than the principal party, to whome notice should be given. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseNoticePartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The party referenced is the party to which notice of exercise should be given by the buyer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="businessCenter" type="BusinessCenter"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExerciseProcedure"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing how notice of exercise should be given. This can be either manual or automatic. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="manualExercise" type="ManualExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies that the notice of exercise must be given by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="automaticExercise" type="AutomaticExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> If automatic is specified then the notional amount of the underlying swap, not previously exercised under the swaption will be automatically exercised at the expriration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than the specified threshold rate. The term in-the-money is assumed to have the meaning defining in the 2000 ISDA Definitions, Section 17.4 In-the-money. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="limitedRightToConfirm" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Has the meaning defined as part of the 1997 ISDA Government Bond Option Definitions, section 4.5 Limited Right to Confirm Exercise. If present, (i) the Seller may request the Buyer to confirm its intent if not done on or before the expiration time on the Expiration date (ii) specific rules will apply in relation to the settlement mode. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="splitTicket" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Typically applicable to the physical settlement of bond and convertible bond options. If present, means that the Party required to deliver the bonds will divide those to be delivered as notifying party desires to facilitate delivery obligations. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExerciseProcedureOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing how notice of exercise should be given. This can be either manual or automatic. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="manualExercise" type="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies that the notice of exercise must be given by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="automaticExercise" type="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en"> If automatic is specified then the notional amount of the underlying swap, not previously exercised under the swaption will be automatically exercised at the expriration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than the specified threshold rate. The term in-the-money is assumed to have the meaning defining in the 2000 ISDA Definitions, Section 17.4 In-the-money. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="ExternalDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A for holding information about documents external to the FpML. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="mimeType" type="MimeType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the type of media used to store the content. mimeType is used to determine the software product(s) that can read the content. MIME Types are described in RFC 2046. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="string" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as string. In case the extra information is in XML format, a CDATA section must be placed around the source message to prevent its interpretation as XML content. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in hexadecimal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="base64Binary" type="xsd:base64Binary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in base64. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="url" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as URL that references the information on a web server accessible to the message recipient. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="attachmentReference" type="HTTPAttachmentReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides a place to put a reference to an attachment on an HTTP message, such as is used by SOAP with Attachments and ebXML. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FloatingRate"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a floating rate.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Rate"> <xsd:sequence> <xsd:group ref="FloatingRateIndex.model"/> <!--View Generation: SKIPPED floatingRateMultiplierSchedule - Unsupported--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Spread or a Spread schedule expressed as explicit spreads and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED rateTreatment - Documentation--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRateSchedule" type="StrikeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The cap rate or cap rate schedule, if any, which applies to the floating rate. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain level. A cap rate schedule is expressed as explicit cap rates and dates and the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRateSchedule" type="StrikeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The floor rate or floor rate schedule, if any, which applies to the floating rate. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. A floor rate schedule is expressed as explicit floor rates and dates and the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A floor rate of 5% would be represented as 0.05. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="capFloorStraddle" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element is applicable in Transparency view (only) if both a capRateSchedule and a floorRateSchedule are set. If this is true, the buyer of both the cap and the floor protection is the same, and the structure is a cap/floor straddle. If this is false, the buyer of the cap is the seller of the floor, and the structure is a collar. This is needed because explicit information about the buyer and seller of the protection is not available in Transparnecy view. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FloatingRateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the floating rate and definitions relating to the calculation of floating rate amounts. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FloatingRate"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FloatingRateIndex"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Floating Rate Option, i.e. the floating rate index. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/floating-rate-index" name="floatingRateIndexScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ForecastRateIndex"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a rate index.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="floatingRateIndex" type="FloatingRateIndex"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Floating Rate Option, i.e. the floating rate index. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Designated Maturity, i.e. the tenor of the floating rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Formula"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a financial formula, with its description and components. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="formulaDescription" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Text description of the formula</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="math" type="Math"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element for containing an XML representation of the formula. Defined using xsd:any currently for flexibility in choice of language (MathML, OpenMath) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="formulaComponent" type="FormulaComponent"> <xsd:annotation> <xsd:documentation xml:lang="en"> Elements describing the components of the formula. The name attribute points to a value used in the math element. The href attribute points to a value elsewhere in the document </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FormulaComponent"> <xsd:annotation> <xsd:documentation xml:lang="en"> Elements describing the components of the formula. The name attribute points to a value used in the math element. The href attribute points to a numeric value defined elsewhere in the document that is used by the formula component. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="componentDescription" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Text description of the component</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="formula" type="Formula"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional formulas required to describe this component </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="name" type="xsd:normalizedString"/> </xsd:complexType> <xsd:complexType name="Frequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a time frequency, e.g. one day, three months. Used for specifying payment or calculation frequencies at which the value T (Term) is applicable. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time period multiplier, e.g. 1, 2 or 3 etc. If the period value is T (Term) then periodMultiplier must contain the value 1. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="period" type="PeriodExtendedEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time period, e.g. a day, week, month, year or term of the stream. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="FutureValueAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a currency amount as at a future value date. </xsd:documentation> <!--<xsd:appinfo> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativeMoney"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days from the adjusted calculation period start date to the adjusted value date, calculated in accordance with the applicable day count fraction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">Adjusted value date of the future value amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxCashSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that is used for describing cash settlement of an option / non deliverable forward. It includes the currency to settle into together with the fixings required to calculate the currency amount. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="settlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency in which cash settlement occurs for non-deliverable forwards and cash-settled options (non-deliverable or otherwise). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/> <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"> <xsd:annotation> <xsd:documentation> The amount of money that the settlement will be derived from. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty choice.--> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation> The date on which settlement is scheduled to occur </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxInformationSource"> <xsd:complexContent> <xsd:extension base="InformationSource"> <xsd:sequence> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation> The time that the fixing will be taken along with a business center to define the time zone </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxFixing"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that specifies the source for and timing of a fixing of an exchange rate. This is used in the agreement of non-deliverable forward trades as well as various types of FX OTC options that require observations against a particular rate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the specific date when a non-deliverable forward or cash-settled option will "fix" against a particular rate, which will be used to compute the ultimate cash settlement. This element should be omitted where a single, discrete fixing date cannot be identified e.g. on an american option, where fixing may occur at any date on a continuous range. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the rate of a currency conversion: pair of currency, quotation mode and exchange rate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. Must be specified with a quote basis. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxRateSourceFixing"> <xsd:annotation> <xsd:documentation> Describes a rate source to be fixed and the date the fixing occurs </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="settlementRateSource" type="FxSettlementRateSource"/> <xsd:element minOccurs="0" name="fixingDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation> The date on which the fixing is scheduled to occur. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxSettlementRateSource"> <xsd:choice> <xsd:element name="settlementRateOption" type="SettlementRateOption"> <xsd:annotation> <xsd:documentation> Indicates that an officially defined rate settlement rate option will be the used for the fixing. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="nonstandardSettlementRate" type="FxInformationSource"> <xsd:annotation> <xsd:documentation> Indicates that a non-standard rate source will be used for the fixing. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the source and time for an fx rate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="primaryRateSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The primary source for where the rate observation will occur. Will typically be either a page or a reference bank published rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> An alternative, or secondary, source for where the rate observation will occur. Will typically be either a page or a reference bank published rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time at which the spot currency exchange rate will be observed. It is specified as a time in a business day calendar location, e.g. 11:00am London time. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GenericAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> An entity for defining a generic agreement executed between two parties for any purpose. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="AgreementType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of agreement executed between the parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="version" type="AgreementVersion"> <xsd:annotation> <xsd:documentation xml:lang="en">The version of the agreement.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="date" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date on which the agreement was signed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="amendmentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">A date on which the agreement was amended.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="governingLaw" type="GoverningLaw"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the law governing the agreement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GoverningLaw"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the law governing the transaction. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/governing-law" name="governingLawScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GrossCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> A payment component owed from one party to the other for the cash flow date. This payment component should by of only a single type, e.g. a fee or a cashflow from a cashflow stream. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="cashflowId" type="CashflowId"> <xsd:annotation> <xsd:documentation xml:lang="en">Unique identifier for a cash flow.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="partyTradeIdentifierReference" type="PartyTradeIdentifierReference"> <xsd:annotation> <xsd:documentation> Pointer-style reference to the partyTradeIdentifier block within the tradeIdentifyingItems collection, which identifies the parent trade for this cashflow. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="cashflowAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Cash flow amount in a given currency to be paid/received. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="cashflowType" type="CashflowType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the type of cash flow. For instance, a type of fee, premium, principal exchange, leg fee. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="HTTPAttachmentReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A special type that allows references to HTTP attachments identified with an HTTP "Content-ID" header, as is done with SOAP with Attachments (http://www.w3.org/TR/SOAP-attachments). Unlike with a normal FpML @href, the type is not IDREF, as the target is not identified by an XML @id attribute. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:string" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies Currency with ID attribute.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Currency"> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="IdentifiedCurrencyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a currency with ID attribute</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="IdentifiedCurrency" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">A date which can be referenced elsewhere.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:date"> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="IdentifiedPayerReceiver"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type extending the PayerReceiverEnum type wih an id attribute. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="PayerReceiverEnum"> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="IdentifiedRate"> <xsd:annotation> <xsd:documentation xml:lang="en">A rate which can be referenced elsewhere.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:decimal"> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- IY moved from fpml-doc.xsd for EQS PSA CFD proposal --> <xsd:complexType name="IndependentAmount"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetail" type="PaymentDetail"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container element allowing a schedule of payments associated with the Independent Amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="IndustryClassification"> <xsd:annotation> <xsd:documentation xml:lang="en">A party's industry sector classification.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/regulatory-corporate-sector" name="industryClassificationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="InformationProvider"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/information-provider" name="informationProviderScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the source for a piece of information (e.g. a rate refix or an fx fixing). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="rateSource" type="InformationProvider"> <xsd:annotation> <xsd:documentation xml:lang="en"> An information source for obtaining a market rate. For example Bloomberg, Reuters, Telerate etc. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"> <xsd:annotation> <xsd:documentation xml:lang="en"> A specific page for the rate source for obtaining a market rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The heading for the rate source on a given rate source page. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InstrumentId"> <xsd:annotation> <xsd:documentation xml:lang="en">A short form unique identifier for a security.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="instrumentIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="InterestAccrualsCompoundingMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the way in which interests are accrued: the applicable rate (fixed or floating reference) and the compounding method. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="InterestAccrualsMethod"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestAccrualsMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the method for accruing interests on dividends. Can be either a fixed rate reference or a floating rate reference. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="floatingRateCalculation" type="FloatingRateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en">The floating rate calculation definitions</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="IntermediaryInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the information to identify an intermediary through which payment will be made by the correspondent bank to the ultimate beneficiary of the funds. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="RoutingIdentification.model"/> <xsd:element minOccurs="0" name="intermediarySequenceNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> A sequence number that gives the position of the current intermediary in the chain of payment intermediaries. The assumed domain value set is an ascending sequence of integers starting from 1. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="intermediaryPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to the party acting as intermediary.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterpolationMethod"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The type of interpolation used.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/interpolation-method" name="interpolationMethodScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Language"> <xsd:annotation> <xsd:documentation xml:lang="en"> The data type used for indicating the language of the resource, described using the ISO 639-2/T Code. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="languageScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="Leg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A supertype of leg. All swap legs extend this type. </xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!-- IY moved from fpml-eq-shared.xsd for EQS PSA CFD proposal --> <xsd:complexType name="LegId"> <xsd:annotation> <xsd:documentation xml:lang="en">Leg identity.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Token60"> <xsd:attribute name="legIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- IY moved from fpml-eq-shared.xsd for EQS PSA CFD proposal --> <xsd:complexType name="LegIdentifier"> <xsd:annotation> <xsd:documentation>Version aware identification of a leg.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="legId" type="LegId"> <xsd:annotation> <xsd:documentation>Identity of this leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="VersionHistory.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a legal entity.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="entityName" type="EntityName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the reference entity. A free format string. FpML does not define usage rules for this element. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="entityId" type="EntityId"> <xsd:annotation> <xsd:documentation xml:lang="en">A legal entity identifier (e.g. RED entity code).</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED entityId - Technical--> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="LegalEntityReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> References a credit entity defined elsewhere in the document. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="LegalEntity" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="MainPublication"> <xsd:annotation> <xsd:documentation xml:lang="en">A type to define the main publication source.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/inflation-main-publication" name="mainPublicationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ManualExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining manual exercise, i.e. that the option buyer counterparty must give notice to the option seller of exercise. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the party to whom notice of exercise should be given. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fallbackExercise" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If fallback exercise is specified then the notional amount of the underlying swap, not previously exercised under the swaption, will be automatically exercised at the expiration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than one tenth of a percentage point (0.10% or 0.001). The term in-the-money is assumed to have the meaning defined in the 2000 ISDA Definitions, Section 17.4. In-the-money. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MasterAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> An entity for defining the agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="masterAgreementType" type="MasterAgreementType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The agreement executed between the parties and intended to govern product-specific derivatives transactions between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="masterAgreementVersion" type="MasterAgreementVersion"> <xsd:annotation> <xsd:documentation xml:lang="en">The version of the master agreement.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="masterAgreementDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the master agreement was signed. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MasterAgreementType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/master-agreement-type" name="masterAgreementTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MasterAgreementVersion"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/master-agreement-version" name="masterAgreementVersionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MasterConfirmation"> <xsd:annotation> <xsd:documentation xml:lang="en"> An entity for defining the master confirmation agreement executed between the parties. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="masterConfirmationType" type="MasterConfirmationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of master confirmation executed between the parties. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED masterConfirmationDate - Documentation--> <!--View Generation: SKIPPED masterConfirmationAnnexDate - Documentation--> <!--View Generation: SKIPPED masterConfirmationAnnexType - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MasterConfirmationAnnexType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/master-confirmation-annex-type" name="masterConfirmationAnnexTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MasterConfirmationType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/master-confirmation-type" name="masterConfirmationTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en">An identifier used to identify matched cashflows.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="matchIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType mixed="true" name="Math"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a mathematical expression.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:any maxOccurs="unbounded" namespace="##any" processContents="skip"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MatrixType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/matrix-type" name="matrixTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MatrixTerm"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-matrix-transaction-type" name="matrixTermScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MimeType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type that indicates the type of media used to store the content. MimeType is used to determine the software product(s) that can read the content. MIME types are described in RFC 2046. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="mimeTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a currency amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element name="amount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The monetary quantity in currency units.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="MoneyBase"> <xsd:annotation> <xsd:documentation xml:lang="en">Abstract base class for all money types.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="MultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining multiple exercises. As defining in the 2000 ISDA Definitions, Section 12.4. Multiple Exercise, the buyer of the option has the right to exercise all or less than all the unexercised notional amount of the underlying swap on one or more days in the exercise period, but on any such day may not exercise less than the minimum notional amount or more than the maximum notional amount, and if an integral multiple amount is specified, the notional exercised must be equal to or, be an integral multiple of, the integral multiple amount. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartialExercise.model"/> <xsd:choice minOccurs="0"> <xsd:element name="maximumNotionalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum notional amount that can be exercised on a given exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="maximumNumberOfOptions" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation> The maximum number of options that can be exercised on a given exercise date. If the number is not specified, it means that the maximum number of options corresponds to the remaining unexercised options. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="NonNegativeAmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a currency amount or a currency amount schedule. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativeSchedule"> <xsd:sequence> <xsd:element name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a non negative money amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element name="amount" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The non negative monetary quantity in currency units. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NonNegativePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">A complex type to specify non negative payments.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBaseExtended"> <xsd:sequence> <xsd:element name="paymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Non negative payment amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NonNegativeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a schedule of non-negative rates or amounts in terms of an initial value and then a series of step date and value pairs. On each step date the rate or amount changes to the new step value. The series of step date and value pairs are optional. If not specified, this implies that the initial value remains unchanged over time. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="initialValue" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The non-negative initial rate or amount, as the case may be. An initial rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED step - NonStandardFeature--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="NonNegativeStep"> <xsd:annotation> <xsd:documentation> A type defining a step date and non-negative step value pair. This step definitions are used to define varying rate or amount schedules, e.g. a notional amortization or a step-up coupon schedule. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:complexContent> <xsd:extension base="StepBase"> <xsd:sequence> <xsd:element minOccurs="0" name="stepValue" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation> The non-negative rate or amount which becomes effective on the associated stepDate. A rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NotionalAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">A complex type to specify the notional amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativeMoney"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NotionalAmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the notional amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NotionalReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the notional amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Notional" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NumberOfOptionsReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the number of options.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Notional" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NumberOfUnitsReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the number of units.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Notional" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Offset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an offset used in calculating a new date relative to a reference date. E.g. calendar days, business days, Commodity Business days, etc.. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Period"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OffsetPrevailingTime"> <xsd:annotation> <xsd:documentation> Allows the specification of a time that may be on a day prior or subsequent to the day in question. This type is intended for use with a day of the week (i.e. where no actual date is specified) as part of, for example, a period that runs from 23:00-07:00 on a series of days and where holidays on the actual days would affect the entire time period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="time" type="PrevailingTime"/> <xsd:element minOccurs="0" name="offset" type="Offset"> <xsd:annotation> <xsd:documentation> Indicates whether time applies to the actual day specified (in which case this element should be omitted) the day prior to that day (in which case periodMultiplier should be -1 and period should be Day) or the day subsequent to that day (in which case periodMultiplier should be 1 and period should be Day). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OnBehalfOf"> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation> The party for which the message reciever should work. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="accountReference" type="AccountReference"> <xsd:annotation> <xsd:documentation> Identifies the account(s) related to the party when they can be determined from the party alone, for example in a inter-book trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OrganizationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes what type of role an organization plays, for example a SwapsDealer, a Major Swaps Participant, or Other </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:token"> <xsd:attribute default="http://www.fpml.org/coding-scheme/organization-type" name="organizationTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="OriginatingEvent"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/originating-event" name="originatingEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PartialExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining partial exercise. As defined in the 2000 ISDA Definitions, Section 12.3 Partial Exercise, the buyer of the option may exercise all or less than all the notional amount of the underlying swap but may not be less than the minimum notional amount (if specified) and must be an integral multiple of the integral multiple amount if specified. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartialExercise.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Party"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a legal entity or a subdivision of a legal entity. </xsd:documentation> <xsd:documentation xml:lang="en"> Parties can perform multiple roles in a trade lifecycle. For example, the principal parties obligated to make payments from time to time during the term of the trade, but may include other parties involved in, or incidental to, the trade, such as parties acting in the role of novation transferor/transferee, broker, calculation agent, etc. In FpML roles are defined in multiple places within a document. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyId" type="PartyId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A party identifier, e.g. a S.W.I.F.T. bank identifier code (BIC). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="partyName" type="PartyName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The legal name of the organization. A free format string. FpML does not define usage rules for this element. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PartyInformation.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Descriptive/categorization information for a party. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Information on how to contact the party using various means. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="businessUnit" type="BusinessUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Optional organization unit information used to describe the organization units (e.g. trading desks) involved in a transaction or business process . </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="person" type="Person"> <xsd:annotation> <xsd:documentation xml:lang="en"> Optional information about people involved in a transaction or busines process. (These are eomployees of the party). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"> <xsd:annotation> <xsd:documentation xml:lang="en"> The id uniquely identifying the Party within the document. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:complexType> <xsd:complexType name="PartyId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for party identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/iso9362" name="partyIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PartyName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The data type used for the legal name of an organization. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="partyNameScheme" type="xsd:anyURI" use="optional"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a party.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Party" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PartyRelationship"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="role" type="PartyRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> The category of the relationship. The related party performs the role specified in this field for the base party. For example, if the role is "Guarantor", the related party acts as a guarantor for the base party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="type" type="PartyRoleType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional definition refining the type of relationship. For example, if the "role" is Guarantor, this element may be used to specify whether all positions are guaranteed, or only a subset of them. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the relationship begins or began. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date on which the relationship ends or ended.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="documentation" type="PartyRelationshipDocumentation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the agreements that define the party relationship. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PartyRelationshipDocumentation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description of the legal agreement(s) and definitions that document a party's relationships with other parties </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element name="masterAgreement" type="MasterAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A agreement executed between two parties that includes or references the related party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditSupportAgreement" type="CreditSupportAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en"> An agreement executed between two parties intended to govern collateral arrangement for OTC derivatives transactions between those parties, and that references the related party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="agreement" type="GenericAgreement"> <xsd:annotation> <xsd:documentation xml:lang="en">An agrement that references the related party.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PartyRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a role played by a party in one or more transactions. Examples include roles such as guarantor, custodian, confirmation service provider, etc. This can be extended to provide custom roles. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/party-role" name="partyRoleScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PartyRoleType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type refining the role a role played by a party in one or more transactions. Examples include "AllPositions" and "SomePositions" for Guarantor. This can be extended to provide custom types. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/party-role-type" name="partyRoleTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PersonReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to an individual.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Person" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PartyTradeIdentifierReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to a partyTradeIdentifier object.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="PartyTradeIdentifier" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining payments. In Transparency view, normally the payer and receiver party references are not used; however they may be provided if necessary for administrative activities such as Reporting Party Determination in FX. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:group> <xsd:element name="paymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency amount of the payment.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED paymentDate - Documentation--> <xsd:element minOccurs="0" name="paymentType" type="PaymentType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A classification of the type of fee or additional payment, e.g. brokerage, upfront fee etc. FpML does not define domain values for this element. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED settlementInformation - Documentation--> <!--View Generation: SKIPPED discountFactor - NonStandardFeature--> <!--View Generation: SKIPPED presentValueAmount - NonStandardFeature--> </xsd:sequence> <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"> <xsd:annotation> <xsd:documentation xml:lang="en"> Can be used to reference the yield curve used to estimate the discount factor </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="PaymentBase"> <xsd:annotation> <xsd:documentation xml:lang="en">An abstract base class for payment types.</xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType abstract="true" name="PaymentBaseExtended"> <xsd:annotation> <xsd:documentation xml:lang="en">Base type for payments.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- IY moved from fpml-doc.xsd for EQS PSA CFD proposal --> <xsd:complexType name="PaymentDetail"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Payment date.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="paymentRule" type="PaymentRule"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining the calculation rule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">A fixed payment amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PaymentDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> Details on the referenced payment. e.g. Its cashflow components, settlement details. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="paymentReference" type="PaymentReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reference to the identified payment strucutre. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="grossCashflow" type="GrossCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> Payment details of this cash flow component, including currency, amount and payer/payee. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information required to settle a currency payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PaymentId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier used to identify a matchable payment. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="paymentIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PaymentReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a payment.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="PaymentBase" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- IY moved from fpml-doc.xsd for EQS PSA CFD proposal --> <xsd:complexType abstract="true" name="PaymentRule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base type from which all calculation rules of the independent amount must be derived. </xsd:documentation> </xsd:annotation> </xsd:complexType> <xsd:complexType name="PaymentType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="paymentTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define recurring periods or time offsets. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="periodMultiplier" type="xsd:integer"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time period multiplier, e.g. 1, 2 or 3 etc. A negative value can be used when specifying an offset relative to another date, e.g. -2 days. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="period" type="PeriodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time period, e.g. a day, week, month or year of the stream. If the periodMultiplier value is 0 (zero) then period must contain the value D (day). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PeriodicDates"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationStartDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="calculationEndDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodDatesAdjustments" type="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> The business day convention to apply to each calculation period end date if it would otherwise fall on a day that is not a business day in the specified financial business centers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Person"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that represents information about a person connected with a trade or business process. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="honorific" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">An honorific title, such as Mr., Ms., Dr. etc.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstName" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">Given name, such as John or Mary.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="middleName" type="xsd:normalizedString"/> <xsd:element maxOccurs="unbounded" name="initial" type="Initial"/> </xsd:choice> <xsd:element minOccurs="0" name="surname" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">Family name, such as Smith or Jones.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="suffix" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">Name suffix, such as Jr., III, etc.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="personId" type="PersonId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier assigned by a system for uniquely identifying the individual </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="businessUnitReference" type="BusinessUnitReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The unit for which the indvidual works.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Information on how to contact the individual using various means. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="country" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISO 3166 standard code for the country where the individual works. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PersonId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier used to identify an individual person. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="personIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PersonRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a role played by a person in one or more transactions. Examples include roles such as Trader, Broker, MiddleOffice, Legal, etc. This can be extended to provide custom roles. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/person-role" name="personRoleScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PositiveAmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a currency amount or a currency amount schedule. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PositiveSchedule"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositiveMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a positive money amount</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The positive monetary quantity in currency units.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositivePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">A complex type to specify positive payments.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBaseExtended"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentAmount" type="PositiveMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Positive payment amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositiveSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a schedule of strictly-postive rates or amounts in terms of an initial value and then a series of step date and value pairs. On each step date the rate or amount changes to the new step value. The series of step date and value pairs are optional. If not specified, this implies that the initial value remains unchanged over time. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="initialValue" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The strictly-positive initial rate or amount, as the case may be. An initial rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED step - NonStandardFeature--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PositiveStep"> <xsd:annotation> <xsd:documentation> A type defining a step date and strictly-positive step value pair. This step definitions are used to define varying rate or amount schedules, e.g. a notional amortization or a step-up coupon schedule. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="StepBase"> <xsd:sequence> <xsd:element minOccurs="0" name="stepValue" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation> The strictly positive rate or amount which becomes effective on the associated stepDate. A rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PrevailingTime"> <xsd:annotation> <xsd:documentation> A type for defining a time with respect to a geographic location, for example 11:00 Phoenix, USA. This type should be used where a wider range of locations than those available as business centres is required. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="hourMinuteTime" type="HourMinuteTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="location" type="TimezoneLocation"> <xsd:annotation> <xsd:documentation> The geographic location to which the hourMinuteTime applies. The time takes into account any current day light saving changes or other adjustments i.e. it is the prevaling time at the location. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="PricingStructure"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract pricing structure base type. Used as a base for structures such as yield curves and volatility matrices. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the structure, e.g "USDLIBOR-3M EOD Curve". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency that the structure is expressed in (this is relevant mostly for the Interes Rates asset class). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a pricing structure or any derived components (i.e. yield curve). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PrincipalExchanges"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining which principal exchanges occur for the stream. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="initialExchange" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A true/false flag to indicate whether there is an initial exchange of principal on the effective date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="finalExchange" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A true/false flag to indicate whether there is a final exchange of principal on the termination date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="intermediateExchange" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A true/false flag to indicate whether there are intermediate or interim exchanges of principal during the term of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType abstract="true" name="Product"> <xsd:annotation> <xsd:documentation xml:lang="en">The base type which all FpML products extend.</xsd:documentation> </xsd:annotation> <xsd:group minOccurs="0" ref="Product.model"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ProductId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="productIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a full FpML product.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Product" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ProductType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/product-taxonomy" name="productTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ProposedCollateralAllocation"> <xsd:annotation> <xsd:documentation>The proposed collateral allocation.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="CollateralPartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier and optionally an account identifier defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element name="collateralValueAllocation" type="CollateralValueAllocation"> <xsd:annotation> <xsd:documentation>Collateral allocation by value.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the composition of a rate that has been quoted or is to be quoted. This includes the two currencies and the quotation relationship between the two currencies and is used as a building block throughout the FX specification. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="currency1" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first currency specified when a pair of currencies is to be evaluated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency2" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The second currency specified when a pair of currencies is to be evaluated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quoteBasis" type="QuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The method by which the exchange rate is quoted.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="Rate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base class for all types which define interest rate streams. </xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="RateObservation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining parameters associated with an individual observation or fixing. This type forms part of the cashflow representation of a stream. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="resetDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The reset date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedFixingDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted fixing date, i.e. the actual date the rate is observed. The date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observedRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The actual observed rate before any required rate treatment is applied, e.g. before converting a rate quoted on a discount basis to an equivalent yield. An observed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="treatedRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The observed rate after any required rate treatment is applied. A treated rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationWeight" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days weighting to be associated with the rate observation, i.e. the number of days such rate is in effect. This is applicable in the case of a weighted average method of calculation where more than one reset date is established for a single calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateReference" type="RateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a floating rate component defined as part of a stub calculation period amount component. It is only required when it is necessary to distinguish two rate observations for the same fixing date which could occur when linear interpolation of two different rates occurs for a stub calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="forecastRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value representing the forecast rate used to calculate the forecast future value of the accrual period.A value of 1% should be represented as 0.01 </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="treatedForecastRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value representing the forecast rate after applying rate treatment rules. A value of 1% should be represented as 0.01 </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="RateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to any rate (floating, inflation) derived from the abstract Rate component. </xsd:documentation> </xsd:annotation> <xsd:attribute ecore:reference="Rate" name="href" type="xsd:IDREF" use="required"/> </xsd:complexType> <xsd:complexType name="RateSourcePage"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="rateSourcePageScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="Reference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base class for all types which define intra-document pointers. </xsd:documentation> </xsd:annotation> </xsd:complexType> <xsd:complexType name="ReferenceAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the reference amount using a scheme.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="referenceAmountScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReferenceBank"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to describe an institution (party) identified by means of a coding scheme and an optional name. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="referenceBankId" type="ReferenceBankId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An institution (party) identifier, e.g. a bank identifier code (BIC). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referenceBankName" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the institution (party). A free format string. FpML does not define usage rules for the element. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReferenceBankId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="referenceBankIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Region"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code that describes the world region of a counterparty. For example, NorthAmerica, Europe, Asia. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/region" name="regionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="RelatedBusinessUnit"> <xsd:sequence> <!-- <xsd:choice> --> <xsd:element name="businessUnitReference" type="BusinessUnitReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The unit that is related to this.</xsd:documentation> </xsd:annotation> </xsd:element> <!-- <xsd:sequence> <xsd:element name="businessUnitId" type="Unit" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The unit that is related to this.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="country" type="CountryCode" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The location that the unit does business.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> --> <xsd:element name="role" type="BusinessUnitRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> The category of the relationship. The related unit performs the role specified in this field for the base party. For example, if the role is "Trader", the related unit acts acts or acted as the base party's trading unit. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RelatedParty"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element name="role" type="PartyRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> The category of the relationship. The related party performs the role specified in this field for the base party. For example, if the role is "Guarantor", the related party acts as a guarantor for the base party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="type" type="PartyRoleType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional definition refining the type of relationship. For example, if the "role" is Guarantor, this element may be used to specify whether all positions are guaranteed, or only a subset of them. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RelatedPerson"> <xsd:sequence> <xsd:element name="personReference" type="PersonReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The individual person that is related to this.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="role" type="PersonRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> The category of the relationship. The related individual performs the role specified in this field for the base party. For example, if the role is "Trader", the related person acts acts or acted as the base party's trader. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date). If the anchor date is itself an adjustable date then the offset is assumed to be calculated from the adjusted anchor date. A number of different scenarios can be supported, namely; 1) the derived date may simply be a number of calendar periods (days, weeks, months or years) preceding or following the anchor date; 2) the unadjusted derived date may be a number of calendar periods (days, weeks, months or years) preceding or following the anchor date with the resulting unadjusted derived date subject to adjustment in accordance with a specified business day convention, i.e. the derived date must fall on a good business day; 3) the derived date may be a number of business days preceding or following the anchor date. Note that the businessDayConvention specifies any required adjustment to the unadjusted derived date. A negative or positive value in the periodMultiplier indicates whether the unadjusted derived precedes or follows the anchor date. The businessDayConvention should contain a value NONE if the day type element contains a value of Business (since specifying a negative or positive business days offset would already guarantee that the derived date would fall on a good business day in the specified business centers). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <!--View Generation: SKIPPED businessDayConvention - DateAdjustments--> <!--View Generation: SKIPPED - DateAdjustments--> <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the anchor as an href attribute. The href attribute value is a pointer style reference to the element or component elsewhere in the document where the anchor date is defined. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED adjustedDate - DateAdjustments--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a set of dates defined as relative to another set of dates. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="RelativeDateOffset"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RelativeDateSequence"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a date when this date is defined in reference to another date through one or several date offsets. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the anchor as an href attribute. The href attribute value is a pointer style reference to the element or component elsewhere in the document where the anchor date is defined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dateOffset" type="DateOffset"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RequestedAction"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/requested-action" name="requestedActionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="RequiredIdentifierDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date with a required identifier which can be referenced elsewhere. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:date"> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ResetFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the reset frequency. In the case of a weekly reset, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency the this implies that more or more reset dates is established for each calculation period and some form of rate averaginhg is applicable. The specific averaging method of calculation is specified in FloatingRateCalculation. In case the reset frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Frequency"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Resource"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the resource that contains the media representation of a business event (i.e used for stating the Publicly Available Information). For example, can describe a file or a URL that represents the event. This type is an extended version of a type defined by RIXML (www.rixml.org). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="resourceId" type="ResourceId"> <xsd:annotation> <xsd:documentation xml:lang="en"> The unique identifier of the resource within the event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resourceType" type="ResourceType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description of the type of the resource, e.g. a confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="language" type="Language"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the language of the resource, described using the ISO 639-2/T Code. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sizeInBytes" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the size of the resource in bytes. It could be used by the end user to estimate the download time and storage needs. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="length" type="ResourceLength"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the length of the resource. For example, if the resource were a PDF file, the length would be in pages. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="mimeType" type="MimeType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the type of media used to store the content. mimeType is used to determine the software product(s) that can read the content. MIME Types are described in RFC 2046. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">The name of the resource.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="comments" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Any additional comments that are deemed necessary. For example, which software version is required to open the document? Or, how does this resource relate to the others for this event? </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="string" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as string. In case the extra information is in XML format, a CDATA section must be placed around the source message to prevent its interpretation as XML content. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in hexadecimal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="base64Binary" type="xsd:base64Binary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in base64. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="url" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates where the resource can be found, as a URL that references the information on a web server accessible to the message recipient. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- commented out pending business interest <xsd:element name="attachmentReference" type="HTTPAttachmentReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Provides a place to put a reference to an attachment on an HTTP message, such as is used by SOAP with Attachments and ebXML.</xsd:documentation> </xsd:annotation> </xsd:element> --> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ResourceId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for resource identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="resourceIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ResourceLength"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type that indicates the length of the resource. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="lengthUnit" type="LengthUnitEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The length unit of the resource. For example, pages (pdf, text documents) or time (audio, video files). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="lengthValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The length value of the resource.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ResourceType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The data type used for describing the type or purpose of a resource, e.g. "Confirmation". </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/resource-type" name="resourceTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReturnSwapNotionalAmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the return swap notional amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="NotionalAmount" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Rounding"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a rounding direction and precision to be used in the rounding of a rate. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="roundingDirection" type="RoundingDirectionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the rounding direction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="precision" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the rounding precision in terms of a number of decimal places. Note how a percentage rate rounding of 5 decimal places is expressed as a rounding precision of 7 in the FpML document since the percentage is expressed as a decimal, e.g. 9.876543% (or 0.09876543) being rounded to the nearest 5 decimal places is 9.87654% (or 0.0987654). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Routing"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that provides three alternative ways of identifying a party involved in the routing of a payment. The identification may use payment system identifiers only; actual name, address and other reference information; or a combination of both. </xsd:documentation> </xsd:annotation> <xsd:group ref="RoutingIdentification.model"/> </xsd:complexType> <xsd:complexType name="RoutingExplicitDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that models name, address and supplementary textual information for the purposes of identifying a party involved in the routing of a payment. </xsd:documentation> </xsd:annotation> <xsd:group ref="RoutingExplicitDetails.model"/> </xsd:complexType> <xsd:complexType name="RoutingId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/iso9362" name="routingIdCodeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="RoutingIds"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that provides for identifying a party involved in the routing of a payment by means of one or more standard identification codes. For example, both a SWIFT BIC code and a national bank identifier may be required. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="routingId" type="RoutingId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier for party that is a participant in a recognized payment system. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RoutingIdsAndExplicitDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that provides a combination of payment system identification codes with physical postal address details, for the purposes of identifying a party involved in the routing of a payment. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="routingIds" type="RoutingIds"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of unique identifiers for a party, eachone identifying the party within a payment system. The assumption is that each party will not have more than one identifier within the same payment system. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="RoutingExplicitDetails.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a schedule of rates or amounts in terms of an initial value and then a series of step date and value pairs. On each step date the rate or amount changes to the new step value. The series of step date and value pairs are optional. If not specified, this implies that the initial value remains unchanged over time. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="initialValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The initial rate or amount, as the case may be. An initial rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED step - NonStandardFeature--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a schedule of rates or amounts.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Schedule" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SettlementInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that represents the choice of methods for settling a potential currency payment resulting from a trade: by means of a standard settlement instruction, by netting it out with other payments, or with an explicit settlement instruction. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="standardSettlementStyle" type="StandardSettlementStyleEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used to describe how a trade will settle. This defines a scheme and is used for identifying trades that are identified as settling standard and/or flagged for settlement netting. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="settlementInstruction" type="SettlementInstruction"> <xsd:annotation> <xsd:documentation xml:lang="en"> An explicit specification of how a currency payment is to be made, when the payment is not netted and the route is other than the recipient's standard settlement instruction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="SettlementInstruction"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that models a complete instruction for settling a currency payment, including the settlement method to be used, the correspondent bank, any intermediary banks and the ultimate beneficary. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="settlementMethod" type="SettlementMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The mechanism by which settlement is to be made. The scheme of domain values will include standard mechanisms such as CLS, Fedwire, Chips ABA, Chips UID, SWIFT, CHAPS and DDA. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="correspondentInformation" type="CorrespondentInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information required to identify the correspondent bank that will make delivery of the funds on the paying bank's behalf in the country where the payment is to be made </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="intermediaryInformation" type="IntermediaryInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Information to identify an intermediary through which payment will be made by the correspondent bank to the ultimate beneficiary of the funds. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="beneficiaryBank" type="Beneficiary"> <xsd:annotation> <xsd:documentation xml:lang="en"> The bank that acts for the ultimate beneficiary of the funds in receiving payments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="beneficiary" type="Beneficiary"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ultimate beneficiary of the funds. The beneficiary can be identified either by an account at the beneficiaryBank (qv) or by explicit routingInformation. This element provides for the latter. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="depositoryPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to the depository of the settlement.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="splitSettlement" type="SplitSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of individual payments that are to be made when a currency payment settling a trade needs to be split between a number of ultimate beneficiaries. Each split payment may need to have its own routing information. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SettlementMethod"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/settlement-method" name="settlementMethodScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SettlementPriceDefaultElection"> <xsd:annotation> <xsd:documentation xml:lang="en"> Coding scheme that specifies the settlement price default election. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/settlement-price-default-election" name="settlementPriceDefaultElectionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SettlementPriceSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The source from which the settlement price is to be obtained, e.g. a Reuters page, Prezzo di Riferimento, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/settlement-price-source" name="settlementPriceSourceScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SettlementRateOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the settlement rate options through a scheme reflecting the terms of the Annex A to the 1998 FX and Currency Option Definitions. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/settlement-rate-option" name="settlementRateOptionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SettlementRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the method for obtaining a settlement rate. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="informationSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="cashSettlementReferenceBanks" type="CashSettlementReferenceBanks"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container for a set of reference institutions. These reference institutions may be called upon to provide rate quotations as part of the method to determine the applicable cash settlement amount. If institutions are not specified, it is assumed that reference institutions will be agreed between the parties on the exercise date, or in the case of swap transaction to which mandatory early termination is applicable, the cash settlement valuation date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="SharedAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en">TBA</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty choice.--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SimplePayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type to specified payments in a simpler fashion than the Payment type. This construct should be used from the version 4.3 onwards. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The payment date. This date is subject to adjustment in accordance with any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SplitSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that supports the division of a gross settlement amount into a number of split settlements, each requiring its own settlement instruction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="splitSettlementAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> One of the monetary amounts in a split settlement payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="beneficiaryBank" type="Routing"> <xsd:annotation> <xsd:documentation xml:lang="en"> The bank that acts for the ultimate beneficiary of the funds in receiving payments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="beneficiary" type="Routing"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ultimate beneficiary of the funds. The beneficiary can be identified either by an account at the beneficiaryBank (qv) or by explicit routingInformation. This element provides for the latter. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SpreadSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> Adds an optional spread type element to the Schedule to identify a long or short spread value. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Schedule"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="SpreadScheduleType"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SpreadScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Provides a reference to a spread schedule.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="SpreadSchedule" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SpreadScheduleType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a Spread Type Scheme to identify a long or short spread value. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/spread-schedule-type" name="spreadScheduleTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Step"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a step date and step value pair. This step definitions are used to define varying rate or amount schedules, e.g. a notional amortization or a step-up coupon schedule. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="StepBase"> <xsd:sequence> <xsd:element minOccurs="0" name="stepValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate or amount which becomes effective on the associated stepDate. A rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="StepBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a step date and step value pair. This step definitions are used to define varying rate or amount schedules, e.g. a notional amortization or a step-up coupon schedule. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="stepDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the associated stepValue becomes effective. This day may be subject to adjustment in accordance with a business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="StreetAddress"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the set of street and building number information that identifies a postal address within a city. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="streetLine" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> An individual line of street and building number information, forming part of a postal address. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Strike"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing a single cap or floor rate.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="strikeRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The rate for a cap or floor.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="buyer" type="IdentifiedPayerReceiver"> <xsd:annotation> <xsd:documentation xml:lang="en">The buyer of the option</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="seller" type="IdentifiedPayerReceiver"> <xsd:annotation> <xsd:documentation xml:lang="en">The party that has sold.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="StrikeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a schedule of cap or floor rates. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Schedule"> <xsd:sequence> <xsd:element minOccurs="0" name="buyer" type="IdentifiedPayerReceiver"> <xsd:annotation> <xsd:documentation xml:lang="en">The buyer of the option</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="seller" type="IdentifiedPayerReceiver"> <xsd:annotation> <xsd:documentation xml:lang="en">The party that has sold.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Stub"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining how a stub calculation period amount is calculated and the start and end date of the stub. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating rate tenors many be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3 Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="StubValue"> <xsd:sequence> <xsd:element minOccurs="0" name="stubStartDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Start date of stub period. This was created to support use of the InterestRateStream within the Equity Derivative sphere, and this element is not expected to be produced in the representation of Interest Rate products. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="stubEndDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> End date of stub period. This was created to support use of the InterestRateStream within the Equity Derivative sphere, and this element is not expected to be produced in the representation of Interest Rate products. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="StubValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining how a stub calculation period amount is calculated. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating rate tenors many be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3 Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element maxOccurs="2" name="floatingRate" type="FloatingRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rates to be applied to the initial or final stub may be the linear interpolation of two different rates. While the majority of the time, the rate indices will be the same as that specified in the stream and only the tenor itself will be different, it is possible to specift two different rates. For example, a 2 month stub period may use the linear interpolation of a 1 month and 3 month rate. The different rates would be specified in this component. Note that a maximum of two rates can be specified. If a stub period uses the same floating rate index, including tenor, as the regular calculation periods then this should not be specified again within this component, i.e. the stub calculation period amount component may not need to be specified even if there is an initial or final stub period. If a stub period uses a different floating rate index compared to the regular calculation periods then this should be specified within this component. If specified here, they are likely to have id attributes, allowing them to be referenced from within the cashflows component. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="stubRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An actual rate to apply for the initial or final stub period may have been agreed between the principal parties (in a similar way to how an initial rate may have been agreed for the first regular period). If an actual stub rate has been agreed then it would be included in this component. It will be a per annum rate, expressed as a decimal. A stub rate of 5% would be represented as 0.05. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element name="stubAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> An actual amount to apply for the initial or final stub period may have been agreed between th two parties. If an actual stub amount has been agreed then it would be included in this component. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="TelephoneNumber"> <xsd:annotation> <xsd:documentation xml:lang="en">A type that represents a telephonic contact.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="TelephoneTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of telephone number (work, personal, mobile). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="number" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">A telephonic contact.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TimezoneLocation"> <xsd:annotation> <xsd:documentation> A geophraphic location for the purposes of defining a prevailing time according to the tz database. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/tzdatabase" name="timezoneLocationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- APP added for EQS PSA CFD proposal --> <xsd:complexType name="UnderlyerInterestLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing interest payments associated with and underlyer, such as financing </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="fixedRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Spread or a Spread schedule expressed as explicit spreads and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Unit"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record information about a unit, subdivision, desk, or other similar business entity. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="unitScheme" type="xsd:anyURI" use="optional"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:element name="americanExercise" substitutionGroup="exercise" type="AmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the exercise period for an American style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="bermudaExercise" substitutionGroup="exercise" type="BermudaExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the exercise period for a Bermuda style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="europeanExercise" substitutionGroup="exercise" type="EuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the exercise period for a European style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="exercise" type="Exercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> An placeholder for the actual option exercise definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="product" type="Product"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract element used as a place holder for the substituting product elements. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="AdjustableDate.model"> <xsd:sequence> <xsd:element name="unadjustedDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">A date subject to adjustment.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED dateAdjustments - DateAdjustments--> <!--View Generation: SKIPPED adjustedDate - DateAdjustments--> </xsd:sequence> </xsd:group> <xsd:group name="BusinessCentersOrReference.model"> <xsd:choice> <xsd:element name="businessCentersReference" type="BusinessCentersReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a set of financial business centers defined elsewhere in the document. This set of business centers is used to determine whether a particular day is a business day or not. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element name="businessCenters" type="BusinessCenters"/> </xsd:choice> </xsd:group> <xsd:group name="BuyerSeller.model"> <xsd:sequence> <xsd:element minOccurs="0" name="buyerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party that buys this instrument, ie. pays for this instrument and receives the rights defined by it. See 2000 ISDA definitions Article 11.1 (b). In the case of FRAs this the fixed rate payer. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED buyerAccountReference - PartySpecific--> <xsd:element minOccurs="0" name="sellerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party that sells ("writes") this instrument, i.e. that grants the rights defined by this instrument and in return receives a payment for it. See 2000 ISDA definitions Article 11.1 (a). In the case of FRAs this is the floating rate payer. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED sellerAccountReference - PartySpecific--> </xsd:sequence> </xsd:group> <xsd:group name="CollateralPartyAndAccountReferences.model"> <xsd:sequence> <xsd:element minOccurs="0" name="allocationPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a party.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocationAccountReference" type="AccountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to an account.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="FloatingRateIndex.model"> <xsd:sequence> <xsd:element name="floatingRateIndex" type="FloatingRateIndex"/> <xsd:element minOccurs="0" name="indexTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Designated Maturity, i.e. the tenor of the floating rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="OnBehalfOf.model"> <xsd:sequence> <xsd:element maxOccurs="4" minOccurs="0" name="onBehalfOf" type="OnBehalfOf"> <xsd:annotation> <xsd:documentation> Indicates which party (or parties) (and accounts) a trade or event is being processed for. Normally there will only be a maximum of 2 parties, but in the case of a novation there could be a transferor, transferee, remaining party, and other remaining party. Except for this case, there should be no more than two onABehalfOf references in a message. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PartialExercise.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notionalReference" type="NotionalReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated notional schedule defined elsewhere in the document. This element has been made optional as part of its integration in the OptionBaseExtended, because not required for the options on securities. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="integralMultipleAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A notional amount which restricts the amount of notional that can be exercised when partial exercise or multiple exercise is applicable. The integral multiple amount defines a lower limit of notional that can be exercised and also defines a unit multiple of notional that can be exercised, i.e. only integer multiples of this amount can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="minimumNotionalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The minimum notional amount that can be exercised on a given exercise date. See multipleExercise. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="minimumNumberOfOptions" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation> The minimum number of options that can be exercised on a given exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:group> <xsd:group name="PartiesAndAccounts.model"> <xsd:annotation> <xsd:documentation>Supporting party and account definitions.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"> <xsd:annotation> <xsd:documentation xml:lang="en"> A legal entity or a subdivision of a legal entity. </xsd:documentation> <xsd:documentation xml:lang="en"> Parties can perform multiple roles in a trade lifecycle. For example, the principal parties obligated to make payments from time to time during the term of the trade, but may include other parties involved in, or incidental to, the trade, such as parties acting in the role of novation transferor/transferee, broker, calculation agent, etc. In FpML roles are defined in multiple places within a document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="account" type="Account"> <xsd:annotation> <xsd:documentation xml:lang="en"> Optional account information used to precisely define the origination and destination of financial instruments. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PartyAndAccountReferences.model"> <xsd:sequence> <xsd:element name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a party.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED accountReference - PartySpecific--> </xsd:sequence> </xsd:group> <xsd:group name="PartyInformation.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Information about a party for reporting purposes.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="classification" type="IndustryClassification"> <xsd:annotation> <xsd:documentation xml:lang="en">The party's industry sector classification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditRating" type="CreditRating"> <xsd:annotation> <xsd:documentation xml:lang="en">The party's credit rating.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="country" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en">The country where the party is domiciled.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="region" type="Region"> <xsd:annotation> <xsd:documentation xml:lang="en"> A code for a grouping of countries to which this belongs. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="jurisdiction" type="GoverningLaw"> <xsd:annotation> <xsd:documentation xml:lang="en"> The legal jurisdiction of the entity's registration. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="organizationType" type="OrganizationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of an organization's participantion in the OTC derivatives market. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PayerReceiver.model"> <xsd:sequence> <xsd:element minOccurs="0" name="payerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party responsible for making the payments defined by this structure. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED payerAccountReference - PartySpecific--> <!--View Generation: SKIPPED receiverPartyReference - PartySpecific--> <!--View Generation: SKIPPED receiverAccountReference - PartySpecific--> </xsd:sequence> </xsd:group> <xsd:group name="PaymentDetails.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group that covers key elements used in payment reporting messages. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="identifier" type="PaymentId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Unique identifier assigned by either party or matching service, as agreed, to a payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Payment amount in a given currency to be paid/received. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PaymentDiscounting.model"> <xsd:annotation> <xsd:documentation> A model group for representing the discounting elements that can be associated with a payment. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value representing the discount factor used to calculate the present value of the cash flow. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="presentValueAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount representing the present value of the forecast payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Period.model"> <xsd:sequence> <xsd:element minOccurs="0" name="startDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">Date on which this period begins.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">Date on which this period ends.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Premium.model"> <xsd:annotation> <xsd:documentation> A model group for representing the option premium when expressed in a way other than an amount. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED premiumType - Documentation--> <xsd:element minOccurs="0" name="pricePerOption" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of premium to be paid expressed as a function of the number of options. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="percentageOfNotional" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of premium to be paid expressed as a percentage of the notional value of the transaction. A percentage of 5% would be expressed as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Product.model"> <xsd:sequence> <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"> <xsd:annotation> <xsd:documentation xml:lang="en"> A classification of the most important risk class of the trade. FpML defines a simple asset class categorization using a coding scheme. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="secondaryAssetClass" type="AssetClass"> <xsd:annotation> <xsd:documentation xml:lang="en"> A classification of additional risk classes of the trade, if any. FpML defines a simple asset class categorization using a coding scheme. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A classification of the type of product. FpML defines a simple product categorization using a coding scheme. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED assetClass - Other-new view doesn't need to maintain compatibility with deprecated sequence--> <xsd:element maxOccurs="2" minOccurs="0" name="embeddedOptionType" type="EmbeddedOptionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the type of any embedded optionality in the transaction that might not otherwise be apparent. Can be used to represent embedded optionality such as early termination provisions, extendible provisions, or cancelable provisions, etc., where applicable. If omitted, no embedded optionality is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="RoutingExplicitDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="routingName" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A real name that is used to identify a party involved in the routing of a payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="routingAddress" type="Address"> <xsd:annotation> <xsd:documentation xml:lang="en"> A physical postal address via which a payment can be routed. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="routingAccountNumber" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> An account number via which a payment can be routed. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="routingReferenceText" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A piece of free-format text used to assist the identification of a party involved in the routing of a payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="RoutingIdentification.model"> <xsd:choice> <xsd:element name="routingIds" type="RoutingIds"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of unique identifiers for a party, eachone identifying the party within a payment system. The assumption is that each party will not have more than one identifier within the same payment system. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="routingExplicitDetails" type="RoutingExplicitDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of details that is used to identify a party involved in the routing of a payment when the party does not have a code that identifies it within one of the recognized payment systems. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="routingIdsAndExplicitDetails" type="RoutingIdsAndExplicitDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> A combination of coded payment system identifiers and details for physical addressing for a party involved in the routing of a payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="SettlementAmountOrCurrency.model"> <xsd:choice> <xsd:element name="settlementAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">Settlement Amount</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="settlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Settlement Currency for use where the Settlement Amount cannot be known in advance </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <!-- APP added for EQS PSA CFD proposal --> <xsd:group name="StockLoan.model"> <xsd:annotation> <xsd:documentation>Stock Loan Content Model</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="lossOfStockBorrow" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then loss of stock borrow is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumStockLoanRate" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the maximum stock loan rate for Loss of Stock Borrow. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="increasedCostOfStockBorrow" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, then increased cost of stock borrow is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="initialStockLoanRate" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the initial stock loan rate for Increased Cost of Stock Borrow. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="VersionHistory.model"> <xsd:sequence> <xsd:element minOccurs="0" name="version" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en">The version number</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Optionally it is possible to specify a version effective date when a versionId is supplied. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.